<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access to this file
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
//JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
?>
<div class="well well-small">
    <form action="<?php echo JRoute::_('index.php?option=com_expautospro&view=import'); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="adminForm">
        <input type="file" id="uploadfile" name="uploadfile" style="display:none" />
        <div class="input-append  pull-left" style="margin-right:5px;">
            <input id="expimportCoverphoto" class="input-large" type="text">
            <a class="btn" onclick="jQuery('input[id=uploadfile]').click();"><?php echo JText::_('COM_EXPAUTOSPRO_ADM_BROWSE_TEXT'); ?></a>
        </div>
        <div class="btn-group pull-left">
            <select name="importtable" class="required" aria-invalid="true">
                <option value=""><?php echo JText::_('COM_EXPAUTOSPRO_CSV_SELECTDATABASE_TEXT'); ?></option>
                <?php echo $this->buildpositions; ?>
            </select>
        </div>
        <div class="btn-group pull-left">
            <select name="expautosadmincsv" id="expautosadmincsv" class="inputbox" size="1">
                <option value="0" ><?php echo JText::_('COM_EXPAUTOSPRO_CSVIMPORT_INSERT_TEXT'); ?></option>
                <option value="1" ><?php echo JText::_('COM_EXPAUTOSPRO_CSVIMPORT_UPDATE_TEXT'); ?></option>
                <option value="2" ><?php echo JText::_('COM_EXPAUTOSPRO_CSVIMPORT_UPDATE_WITHRESIZE_TEXT'); ?></option>
            </select>
        </div>
        <input type="hidden" name="task" value="" />
        <input type="hidden" name="fname" value="<?php echo $this->link; ?>" />
        <input type="hidden" name="boxchecked" value="0" />
        <?php echo JHtml::_('form.token'); ?>
    </form>
    <br />
</div>
<script type="text/javascript">
    jQuery('input[id=uploadfile]').change(function() {
        jQuery('#expimportCoverphoto').val(jQuery(this).val());
    }); 
</script>
