<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expdealerlist/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expdealerlist', 'default_mobile_jquery');

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$listOrder = $this->escape($this->state->get('list.ordering'));
$listDirn = $this->escape($this->state->get('list.direction'));
$document = JFactory::getDocument();
$user = JFactory::getUser();
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expdealerlist/default_mobile_jquery/css/default_mobile_jquery.css');

if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if($expuse_mobmetatag){
    $document->setMetaData( 'viewport', 'width=device-width, initial-scale=1' );
}
JRequest::setVar('expusebootstrap', 0);
$topmoduleposition = $this->expparams->get('c_admanager_dealerlspage_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_dealerlspage_bmpname');
$logowidth = $this->expparams->get('c_admanager_dealerlspage_logowidth');
$logoheight = $this->expparams->get('c_admanager_dealerlspage_logoheight');
$userid = JRequest::getInt('userid', 0);
$linkhome = "index.php/motorcar-com-mm/list";
$linkadd = JRoute::_("index.php?option=com_expautospro&amp;view=expadd&amp;Itemid=" . (int) $expitem);
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitem);
if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
?>
<script src="<?php echo JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js'; ?>">
</script>
<link rel="stylesheet" href="<?php echo JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css'; ?>" />

<div data-role="page" id="expdealerlist">
    <div data-theme="a" data-role="header">
        <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide"></a>
        <h4>
            <?php echo "<img src='http://www.motorcar.com.mm/images/logo.jpg'>"; ?>
        </h4>
        <a href="javascript:history.back();" data-direction="reverse" data-iconpos="notext" data-icon="back" data-transition="slide"></a>
    </div>
    <div data-role="content">
        <?php if ($document->countModules('expmobilemenu')): ?>
            <div id="expmobmenu">
                <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                    <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                </div>
            </div>
            <div class="expmobclear"></div>
        <?php endif; ?>
        <?php if (count($queue)): ?>
            <div class="ui-body ui-body-b expmobmessage">
                <?php foreach ($queue as $item) : ?>
                    <p><?php echo $item['message']; ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <form action="<?php echo htmlspecialchars(JFactory::getURI()->toString()); ?>" method="post" name="adminForm" id="adminForm">
            <a href="#expsortpopupMenu" data-rel="popup" data-mini="true" data-role="button" data-inline="true" data-icon="arrow-d"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SORTING_MENU_TEXT') ?></a>
            <div data-role="popup" id="expsortpopupMenu" data-theme="a">
                <a href="javascript:void(0);" data-rel="back" data-role="button" data-theme="a" data-icon="delete" data-iconpos="notext" class="ui-btn-right"><?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?></a>
                <ul data-role="listview" data-inset="true" data-theme="b">
                    <li data-role="divider" data-theme="a"><?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_SORTBY_TEXT') ?></li>
                    <li class="expautos_th_center">
                        <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_DEALER_LIST_COMPANYNAME_TEXT', 'a.companyname', $listDirn, $listOrder); ?>
                    </li>
                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usecountry')): ?>
                        <li class="expautos_th_center">
                            <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_DEALER_LIST_COUNTRY_TEXT', 'cnt_name', $listDirn, $listOrder); ?>
                        </li>
                    <?php endif; ?>
                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usestate')): ?>
                        <li class="expautos_th_center">
                            <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_DEALER_LIST_STATE_TEXT', 'st_name', $listDirn, $listOrder); ?>
                        </li>
                    <?php endif; ?>
                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usecity')): ?>
                        <li class="expautos_th_center">
                            <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_DEALER_LIST_CITY_TEXT', 'ct_name', $listDirn, $listOrder); ?>
                        </li>
                    <?php endif; ?>
                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usezipcode')): ?>
                        <li class="expautos_th_center">
                            <?php echo JHtml::_('grid.sort', 'COM_EXPAUTOSPRO_CP_DEALER_LIST_ZIPCODE_TEXT', 'a.zipcode', $listDirn, $listOrder); ?>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>
            <br />
            <br />
            <div class="content-primary">
                <ul data-role="listview" data-split-icon="gear" data-split-theme="d">
                    <?php
                    foreach ($this->items as $i => $item) :
                        //print_r($item);
                        $link = JRoute::_('index.php?option=com_expautospro&amp;view=expdealerdetail&amp;userid=' . (int) $item->userid . '&amp;Itemid=' . (int) $expitem);

                        if ($item->ucommercial) {
                            $imgclass = "commercial";
                            $lsclass = "alert alert-info lscommercial";
                        } elseif ($item->utop) {
                            $imgclass = "top";
                            $lsclass = "alert alert-success lstop";
                        } elseif ($item->uspecial) {
                            $imgclass = "special";
                            $lsclass = "alert alert-error lsspecial";
                        } else {
                            $imgclass = null;
                            $lsclass = null;
                        }

                        if ($item->logo) {
                            $logo_file = '<span></span><img src="' . ExpAutosProImages::ImgUrlPatchLogo() . $item->logo . '" alt="' . $item->companyname . '" width="' . $logowidth . '" height="' . $logoheight . '" />';
                        } else {
                            $logo_file = '<span></span><img src="' . JURI::root() . 'components/com_expautospro/skins/expdealerlist/default/images/no_logo.png" alt="' . $item->companyname . '" width="' . $logowidth . '" height="' . $logoheight . '" />';
                        }
                        ?>
                        <li>
                            <a href="<?php echo $link; ?>" rel="external">
                                <div class="expimg_all" style="width:<?php echo $logowidth; ?>px;">
                                    <div class="expimg_pos">
                                        <div class="photo <?php echo $imgclass; ?>">
                                            <?php echo $logo_file; ?>
                                        </div>
                                    </div>
                                </div>
                                <h6>
                                    <?php echo $item->companyname; ?>
                                </h6>

                                <p>
                                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usecountry')): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_COUNTRY_TEXT'); ?>"><?php echo $item->cnt_name; ?></span>&#32;&#58;&#58;
                                    <?php endif; ?>
                                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usestate')): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_STATE_TEXT'); ?>"><?php echo $item->st_name; ?></span>&#32;&#58;&#58;
                                    <?php endif; ?>
                                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usecity')): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_CITY_TEXT'); ?>"><?php echo $item->ct_name; ?></span>&#32;&#58;&#58;
                                    <?php endif; ?>
                                    <?php if ($this->expparams->get('c_admanager_dealerlspage_usezipcode')): ?>
                                        <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_ZIPCODE_TEXT'); ?>"><?php echo $item->zipcode; ?></span>&#32;&#58;&#58;
                                    <?php endif; ?>

                                    <?php if ($this->expparams->get('c_general_showcontact') || (!$this->expparams->get('c_general_showcontact') && $user->id)): ?>
                                        <?php if ($this->expparams->get('c_admanager_dealerlspage_usephone') && $item->phone): ?>
                                            <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_CONTACTINFO_PHONE_TEXT'); ?>"><?php echo $item->phone; ?></span>&#32;&#58;&#58;
                                        <?php endif; ?>
                                        <?php if ($this->expparams->get('c_admanager_dealerlspage_usestreet') && $item->street): ?>
                                            <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_DEALER_LIST_CONTACTINFO_STREET_TEXT'); ?>"><?php echo $item->street; ?></span>&#32;&#58;&#58;
                                        <?php endif; ?>
                                    <?php endif; ?>
                                    <span rel="tooltip" title="<?php echo JText::_('COM_EXPAUTOSPRO_CP_LIST_USER_USERINFO_TEXT'); ?>">
                                        <?php echo $this->getPrewText(JFilterOutput::cleanText($item->userinfo), $this->expparams->get('c_admanager_dealerlspage_othertextlimit'), 200); ?>
                                    </span>
                                </p>
                            </a>
                        </li>
                        <?php
                        $metaexp[] = trim($item->cnt_name . " " . $item->st_name . " " . $item->ct_name);
                        $metakeyexp[] = trim($item->cnt_name . " " . $item->st_name . " " . $item->ct_name);
                        ?>
                    <?php endforeach; ?>
                </ul>
            </div>
            <div class="expautospro_clear"></div>
            <br />
            <div id="explimitbox">
                <?php echo $this->pagination->getLimitBox(); ?>
            </div>
            <div class="expautospro_clear"></div>
            <div id="expresultcounter">
                <?php echo $this->pagination->getResultsCounter(); ?>
            </div>
            <div class="expautospro_clear"></div>
            <div class="pagination pagination-centered">
                <?php echo $this->pagination->getPagesLinks(); ?>
            </div>
            <div class="expautospro_clear"></div>
            <div id="exppagescounter">
                <?php echo $this->pagination->getPagesCounter(); ?>
            </div>
            <div class="expautospro_clear"></div>
            <div>
                <input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
                <input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
            </div>
        </form>
    </div>
    <div data-theme="a" data-role="footer" data-position="fixed">
        <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
            <div data-role="navbar" data-iconpos="bottom">
                <ul>
                    <?php if ($document->countModules('expmobilesearch')): ?>
                        <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                    <?php endif; ?>
                    <?php if ($document->countModules('expmobilelogin')): ?>
                        <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                    <?php endif; ?>
                </ul>
            </div>
        <?php else:?>
        <?php endif; ?>
    </div>
</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>	
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>	
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>

<?php
/* insert meta */
if (isset($metaexp)) {
    $metaexp = implode(".", $metaexp);
    $this->document->setDescription($metaexp);
}
if (isset($metakeyexp)) {
    $metakeyexp = implode(",", $metakeyexp);
    $this->document->setMetadata('keywords', $metakeyexp);
}
?>

