<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/exppayment/default_mobile_jquery/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('exppayment', 'default_mobile_jquery');

$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$document = JFactory::getDocument();
$user = JFactory::getUser();
$checkuser = ExpAutosProFields::expaddcheck($this->items->id, $user->id);
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro_icons.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/exppayment/default_mobile_jquery/css/default_mobile_jquery.css');

if ($expuse_jquery == 1){
    JHtml::_('bootstrap.framework');
}elseif($expuse_jquery == 2){
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
}
if ($expuse_mobmetatag) {
    $document->setMetaData('viewport', 'width=device-width, initial-scale=1');
}
JRequest::setVar('expusebootstrap', 0);
$countcolumn = $this->expparams->get('c_admanager_mkpage_column');
$topmoduleposition = $this->expparams->get('c_admanager_payment_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_payment_bmpname');
$thumbsize = $this->expparams->get('c_images_thumbsize_width');
$itm_id = null;
if (isset($this->items->id)) {
    $itm_id = $this->items->id;
}

$expitemid = ExpAutosProExpparams::getExpLinkItemid();
$link_top = JRoute::_('index.php?option=com_expautospro&amp;view=exppayment&amp;task=exppayment.ftop&amp;id=' . $itm_id);
$link_commercial = JRoute::_('index.php?option=com_expautospro&amp;view=exppayment&amp;task=exppayment.fcommercial&amp;id=' . $itm_id);
$link_special = JRoute::_('index.php?option=com_expautospro&amp;view=exppayment&amp;task=exppayment.special&amp;id=' . $itm_id);
$linkadd = JRoute::_("index.php?option=com_expautospro&amp;view=expadd&amp;Itemid=" . (int) $expitemid);
$linkhome = JRoute::_("index.php?option=com_expautospro&amp;view=categories&amp;id=0&amp;Itemid=" . (int) $expitemid);
$linkdealerinfo = JRoute::_("index.php?option=com_expautospro&amp;view=expuser&amp;Itemid=" . (int) $expitemid);
$exppricename = ExpAutosProHelper::exppricename();
if ($this->items->bprice) {
    $expprice = $this->items->bprice;
} elseif ($this->items->price) {
    $expprice = $this->items->price;
}
if ($this->items->state) {
    $link = JRoute::_("index.php?option=com_expautospro&amp;view=expdetail&amp;catid=" . $this->items->catid . "&amp;markid=" . $this->items->make . "&amp;modelid=" . $this->items->model . "&amp;id=" . $this->items->id);
} else {
    $link = JRoute::_("#exppayment");
}
if (!$user->guest) {
    $login_text = JText::_('JLOGOUT');
    $logtheme = ' data-theme="e"';
    $logicon = 'delete';
} else {
    $login_text = JText::_('JLOGIN');
    $logtheme = null;
    $logicon = 'check';
}
$app = JFactory::getApplication();
$queue = $app->getMessageQueue();
//print_r($this->expgroupfields);
//print_r($this->items);
?>
<script src="<?php echo JURI::root() . 'components/com_expautospro/assets/js/jquery.mobile-1.2.0.min.js'; ?>">
</script>
<link rel="stylesheet" href="<?php echo JURI::root() . 'components/com_expautospro/assets/css/jquery.mobile-1.2.0.min.css'; ?>" />

<div data-role="page" id="exppayment">
    <div data-theme="a" data-role="header">
        <a href="<?php echo $linkhome; ?>" data-direction="reverse" data-iconpos="notext" data-icon="home" data-transition="slide"></a>
        <h4>
            <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_TEXT'); ?>
        </h4>
        <a href="javascript:history.back();" data-direction="reverse" data-iconpos="notext" data-icon="back" data-transition="slide"></a>
    </div>
    <div data-role="content">
        <?php if ($document->countModules('expmobilemenu')): ?>
            <div id="expmobmenu">
                <div data-role="controlgroup" data-type="horizontal" data-mini="true" class="ui-btn-right">
                    <?php echo ExpAutosProHelper::load_module_position('expmobilemenu', 'mobilebootstrap'); ?>
                </div>
            </div>
            <div class="expmobclear"></div>
        <?php endif; ?>
        <?php if (count($queue)): ?>
            <div class="ui-body ui-body-b expmobmessage">
                <?php foreach ($queue as $item) : ?>
                    <p><?php echo $item['message']; ?></p>
                <?php endforeach; ?>
            </div>
        <?php endif; ?>
        <?php if ($user->id && $checkuser): ?>
            <ul class="expautos_user_ullist">
                <li>
                    <span><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_NAME_TEXT'); ?></span><?php echo $user->name; ?>
                </li>
                <li>
                    <span><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_USERNAME_TEXT'); ?></span><?php echo $user->username; ?>
                </li>
                <li>
                    <span><?php echo JText::_('COM_EXPAUTOSPRO_CP_DETAILPAGE_SELLERINFO_EMAIL_TEXT'); ?></span><?php echo $user->email; ?>
                </li>
            </ul>
            <div class="">
                <span><?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_ADSID_TEXT'); ?></span><?php echo $this->items->id; ?>
            </div>
            <br />
            <div class="expautospro_clear"></div>
            <ul data-role="listview" data-split-icon="gear" data-split-theme="d">
                <li>
                    <a href="<?php echo $link; ?>" rel="external">
                        <div class="expimg_all">
                            <img src="<?php echo ExpAutosProExpparams::ImgUrlPatchThumbs() . $this->items->img_name; ?>" alt="" />
                        </div>
                        <h7>
                            <?php echo $this->items->category_name . "&nbsp;" . $this->items->make_name . "&nbsp;" . $this->items->model_name; ?>
                        </h7>
                        <p><?php echo $this->items->year; ?></p>
                        <p class="expprice_label">
                            <span class="label label-inverse">
                                <?php echo number_format($expprice) . "&nbsp;" . $exppricename; ?>
                            </span>
                        </p>
                    </a>
                </li>
                <div class="exppayment">
                    <?php if ($this->items->state == 1 && $this->expgroupfields->get('p_pshowpricespecial')): ?>
                        <?php if (!$this->items->ftop): ?>
                            <div class="exppayment_textbox ui-body ui-body-e ui-corner-all">	
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_ADTOP_TEXT'); ?>
                                <div class="expautospro_clear"></div>
                                <?php if ($this->expgroupfields->get('p_ppricetop') > 0): ?>
                                    <div class="exppayment_price">
                                        <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_PRICE_TEXT'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_ppricetop'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_pcurrency'); ?>
                                        <div class="exppayment_module">
                                            <?php
                                            $expmodparam = array('price' => $this->expgroupfields->get('p_ppricetop'), 'curcode' => $this->expgroupfields->get('p_pcurrency'), 'itemnumber' => $this->expgroupfields->get('p_ptopitemnum'), 'groupname' => JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_ADTOP_PAYTEXT_TEXT'), 'userid' => $user->id, 'item_special' => '2', 'itm_id' => $this->items->id);
                                            echo ExpAutosProHelper::load_module_position('explevelpayment', $style = 'none', $expmodparam);
                                            ?>
                                        </div>
                                    </div>
                                <?php elseif ($this->expgroupfields->get('p_ppricetop') == 0): ?>
                                    <div class="expspecial_button">
                                        <span class="expautos_list_payspecial"><a href="<?php echo $link_top; ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_ADTOP_TEXTLINK_TEXT'); ?></a></span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (!$this->items->fcommercial): ?>
                            <div class="exppayment_textbox ui-body ui-body-e ui-corner-all">
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_COMMTOP_TEXT'); ?>
                                <div class="expautospro_clear"></div>
                                <?php if ($this->expgroupfields->get('p_ppricecommercial') > 0): ?>
                                    <div class="exppayment_price">
                                        <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_PRICE_TEXT'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_ppricecommercial'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_pcurrency'); ?>
                                        <div class="exppayment_module">
                                            <?php
                                            $expmodparam = array('price' => $this->expgroupfields->get('p_ppricecommercial'), 'curcode' => $this->expgroupfields->get('p_pcurrency'), 'itemnumber' => $this->expgroupfields->get('p_pcommitemnum'), 'groupname' => JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_COMMTOP_PAYTEXT_TEXT'), 'userid' => $user->id, 'item_special' => '3', 'itm_id' => $this->items->id);
                                            echo ExpAutosProHelper::load_module_position('explevelpayment', $style = 'none', $expmodparam);
                                            ?>
                                        </div>
                                    </div>
                                <?php elseif ($this->expgroupfields->get('p_ppricecommercial') == 0): ?>
                                    <div class="expspecial_button">
                                        <span class="expautos_list_payspecial"><a href="<?php echo $link_commercial; ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_COMMTOP_TEXTLINK_TEXT'); ?></a></span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                        <?php if (!$this->items->special): ?>
                            <div class="exppayment_textbox ui-body ui-body-e ui-corner-all">
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_SPECIAL_TEXT'); ?>
                                <div class="expautospro_clear"></div>
                                <?php if ($this->expgroupfields->get('p_ppricespecial') > 0): ?>
                                    <div class="exppayment_price">
                                        <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_PRICE_TEXT'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_ppricespecial'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_pcurrency'); ?>
                                        <div class="exppayment_module">
                                            <?php
                                            $expmodparam = array('price' => $this->expgroupfields->get('p_ppricespecial'), 'curcode' => $this->expgroupfields->get('p_pcurrency'), 'itemnumber' => $this->expgroupfields->get('p_pspecialitemnum'), 'groupname' => JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_SPECIAL_PAYTEXT_TEXT'), 'userid' => $user->id, 'item_special' => '4', 'itm_id' => $this->items->id);
                                            echo ExpAutosProHelper::load_module_position('explevelpayment', $style = 'none', $expmodparam);
                                            ?>
                                        </div>
                                    </div>
                                <?php elseif ($this->expgroupfields->get('p_ppricespecial') == 0): ?>
                                    <div class="expspecial_button">
                                        <span class="expautos_list_payspecial"><a href="<?php echo $link_special; ?>"><?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_SPECIAL_TEXTLINK_TEXT'); ?></a></span>
                                    </div>
                                <?php endif; ?>
                            </div>
                        <?php endif; ?>
                    <?php endif; ?>
                    <?php if ($this->items->state != 1 && $this->expgroupfields->get('p_pshowpricead')): ?>
                        <div class="exppayment_textbox ui-body ui-body-e">
                            <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_AD_TEXT'); ?>
                            <div class="expautospro_clear"></div>
                            <div class="exppayment_price">
                                <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_PRICE_TEXT'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_ppricead'); ?>&nbsp;<?php echo $this->expgroupfields->get('p_pcurrency'); ?>
                                <div class="exppayment_module">
                                    <?php
                                    $expmodparam = array('price' => $this->expgroupfields->get('p_ppricead'), 'curcode' => $this->expgroupfields->get('p_pcurrency'), 'itemnumber' => $this->expgroupfields->get('p_paditemnum'), 'groupname' => JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_AD_PAYTEXT_TEXT'), 'userid' => $user->id, 'item_special' => '1', 'itm_id' => $this->items->id);
                                    echo ExpAutosProHelper::load_module_position('explevelpayment', $style = 'none', $expmodparam);
                                    ?>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                </div>
            <?php endif; ?>
            <?php if (!$user->id): ?>
                <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_CP_PAYMENT_ONLYREGISTERED_TEXT', JRoute::_('index.php?option=com_users&view=login'), JRoute::_('index.php?option=com_users&view=registration'))); ?>
            <?php elseif (!$checkuser): ?>
                <?php echo JText::_('COM_EXPAUTOSPRO_CP_PAYMENT_NOTVALIDURL_ERROR_TEXT'); ?>
            <?php endif; ?>
    </div>
    <div data-theme="a" data-role="footer" data-position="fixed">
        <?php if ($document->countModules('expmobilesearch') || $document->countModules('expmobilelogin')): ?>
            <div data-role="navbar" data-iconpos="bottom">
                <ul>
                    <?php if ($document->countModules('expmobilesearch')): ?>
                        <li><a href="#expsearchpopup" data-icon="search" data-role="button" data-rel="dialog" data-transition="pop"><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_MENU_TEXT'); ?></a></li>
                    <?php endif; ?>
                    <?php if ($document->countModules('expmobilelogin')): ?>
                        <li><a href="#exploginpopup" data-icon="<?php echo $logicon; ?>" data-role="button" data-rel="dialog" data-transition="pop"<?php echo $logtheme; ?>><?php echo $login_text; ?></a></li>
                    <?php endif; ?>
                </ul>
            </div>
        <?php else:?>
        <?php endif; ?>
    </div>
</div>
<?php if ($document->countModules('expmobilesearch')): ?>
    <!-- Start of third page: #expsearchpopup -->
    <div data-role="page" id="expsearchpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo JText::_('COM_EXPAUTOSPRO_MOBILE_SEARCH_DIALOG_MENU_TEXT'); ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilesearch', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php if ($document->countModules('expmobilelogin')): ?>
    <!-- Start of third page: #exploginpopup -->
    <div data-role="page" id="exploginpopup">
        <div data-role="header" data-theme="b">
            <h1><?php echo $login_text; ?></h1>
        </div><!-- /header -->
        <div data-role="content" data-theme="d">	
            <div class="expautospro_topmodule_pos_mobile">
                <?php echo ExpAutosProHelper::load_module_position('expmobilelogin', ''); ?>
            </div>
            <a href="javascript:void(0);" data-role="button" data-theme="e" data-icon="delete" data-rel="back" data-mini="true" data-iconpos="right">
                <?php echo JText::_('COM_EXPAUTOSPRO_CLOSE_TEXT'); ?>
            </a>
        </div><!-- /content -->
        <div data-role="footer">
            <h4></h4>
        </div><!-- /footer -->
    </div><!-- /page expsearchpopup -->
<?php endif; ?>
<?php
/* insert meta */
if (isset($metaexp)) {
    $metaexp = implode(".", $metaexp);
    $this->document->setDescription($metaexp);
}
if (isset($metakeyexp)) {
    $metakeyexp = implode(",", $metakeyexp);
    $this->document->setMetadata('keywords', $metakeyexp);
}
?>

