<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expsearch/default/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expsearch', 'default');

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expsearch/default/css/default.css');

$topmoduleposition = $this->expparams->get('c_admanager_srhpage_tmpname');
$mdlmoduleposition = $this->expparams->get('c_admanager_srhpage_mdlname');
$bmoduleposition = $this->expparams->get('c_admanager_srhpage_bmpname');
?>
<div class="expautospro_topmodule">
    <div class="expautospro_topmodule_pos">
        <?php echo ExpAutosProHelper::load_module_position($topmoduleposition, $this->expparams->get('c_admanager_srhpage_tmpstyle')); ?>
    </div>
    <div class="expautospro_clear"></div>
</div>

<!-- Skins Module Position !-->
<?php if ($this->expparams->get('c_admanager_srhpage_showskin')): ?>
    <div id="expskins_module">
        <?php
        $expmodparam = array('folder' => $this->expskins);
        echo ExpAutosProHelper::load_module_position('expskins', $style = 'none', $expmodparam);
        ?>
    </div>
    <div class="expautospro_clear"></div>
<?php endif; ?>

<div id="expautospro">
    <?php if ($use_pagename): ?>
        <h2><?php echo JText::_('COM_EXPAUTOSPRO_CP_SEARCH_TEXT') ?></h2>
    <?php endif; ?>
    <?php if ($mdlmoduleposition): ?>
        <div class="expautospro_mdlmodule_pos">
            <?php echo ExpAutosProHelper::load_module_position($mdlmoduleposition, $this->expparams->get('c_admanager_srhpage_mdlstyle')); ?>
        </div>
        <div class="expautospro_clear"></div>
    <?php endif; ?>
</div>
<div class="expautospro_clear"></div>
<?php if ($bmoduleposition): ?>
    <div class="expautospro_botmodule">
        <?php echo ExpAutosProHelper::load_module_position($bmoduleposition, $this->expparams->get('c_admanager_srhpage_bmpstyle')); ?>
    </div>
    <div class="expautospro_clear"></div>
<?php endif; ?>

