<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

//no direct access
defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'modules/mod_expautospro_boocarousel/css/mod_expautospro_boocarousel.css');

$moduleid = $module->id;
for ($bval = 0; $bval < 11; $bval++) {
    $booimg[$bval] = $params->get('expbooimg' . $bval);
    $boohtml[$bval] = $params->get('expboohtml' . $bval);
    $boolink[$bval] = $params->get('expboolink' . $bval);
}
$arraybooimg = array_filter($booimg);
$arrayboohtml = array_filter($boohtml);
$arrayboolink = array_filter($boolink);

$count_img = count($arraybooimg);
$block_width = null;
if($params->get('block_width', 0)){
    $block_width = 'width:'.$params->get('block_width', 0);
}
$ind = 0;
?>
<?php if ($count_img): ?>
    <div id="expboogal<?php echo $moduleid ?>" class="carousel slide" style="<?php echo $block_width;?>">
        <div class="carousel-inner">
            <?php
            foreach ($arraybooimg as $key => $value):
                $active_cls = null;
                if (!$ind) {
                    $active_cls = 'active';
                }
                ?>
                <div class="<?php echo $active_cls; ?> item">
                    <img src="<?php echo JURI::root() . $value; ?>" alt="">
                        <?php if (isset($arrayboohtml[$key])) : ?>
                        <div class="carousel-caption">
                        <?php echo $arrayboohtml[$key]; ?>
                        <?php if (isset($arrayboolink[$key])) : ?>
                            <span class="expboogal_link pull-left">
                                <a class="btn btn-mini btn-primary" href="<?php echo $arrayboolink[$key]; ?>" target="<?php echo $params->get('targetlink','_self'); ?>"><?php echo JText::_('MOD_EXPAUTOSPRO_BOOCAROUSEL_READMORE_TEXT'); ?> <i class="icon-chevron-right icon-white"></i></a>
                            </span>
                            <div class="expboogal_clear"></div>
                        <?php endif; ?>
                        </div>
                    <?php endif; ?>
                </div>
                <?php
                $ind++;
            endforeach;
            ?>
        </div>
        <a class="carousel-control left" href="#expboogal<?php echo $moduleid ?>" data-slide="prev">&lsaquo;</a>
        <a class="carousel-control right" href="#expboogal<?php echo $moduleid ?>" data-slide="next">&rsaquo;</a>
    </div>
    <div class="expboogal_clear"></div>
<?php endif; ?>