<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
?>
<script type="text/javascript" src="components/com_expautospro/assets/js/jquery.validate.min.js"></script>
<script type="text/javascript">
    Joomla.submitbutton = function(task){
        if(jQuery('#expautosprocat-form').validate().form() == true || task == 'exppayment.cancel'){
            Joomla.submitform(task, document.getElementById('expautosprocat-form'));
        }else{
            return false;
        }
    }
</script>
<div class="well well-small">
    <form action="<?php echo JRoute::_('index.php?option=com_expautospro&layout=edit&id=' . (int) $this->item->id); ?>" method="post" name="adminForm" id="expautosprocat-form" class="form-validate form-horizontal">
        <div class="row-fluid">
            <div class="span8">
                <fieldset class="adminform">
                    <legend><?php echo empty($this->item->id) ? JText::_('COM_EXPAUTOSPRO_PAYMENT_NEW_TITLE') : JText::sprintf('COM_EXPAUTOSPRO_PAYMENT_EDIT_TITLE', $this->item->id); ?></legend>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('adid'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('adid'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('payname'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('payname'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('payval'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('payval'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('paysum'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('paysum'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('status'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('status'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('paydate'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('paydate'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('paynotice'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('paynotice'); ?></div>
                    </div>
                    <div class="control-group">
                        <label class="control-label" for="name"><?php echo $this->form->getLabel('id'); ?></label>
                        <div class="controls">
                            <?php echo $this->form->getInput('id'); ?></div>
                    </div>
                </fieldset>
            </div>
            <div class="span4">
            </div>
        </div>
        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>
    </form>
</div>
