<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

// No direct access.
defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expimages/default_bootstrap2/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expimages', 'default_bootstrap2');

$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$user = JFactory::getUser();
if ($user->id) {
    $document = JFactory::getDocument();
//$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
    $document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/css/default_bootstrap2.css');
    $document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/css/jquery.fileupload-ui.css');
    $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/ajaxrequest.js');

    /* Version 3.5 */
    if ($expuse_jquery == 1) {
        JHtml::_('bootstrap.framework');
    } elseif ($expuse_jquery == 2) {
        $document->addScript(JURI::root() . 'components/com_expautospro/assets/js/jquery.min.js');
    }
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/js/jquery.ui.widget.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/js/tmpl.min.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/js/jquery.iframe-transport.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/js/jquery.fileupload.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/js/jquery.fileupload-fp.js');
    $document->addScript(JURI::root() . 'components/com_expautospro/skins/expimages/default_bootstrap2/js/jquery.fileupload-ui.js');
    $topmoduleposition = $this->expparams->get('c_admanager_addimages_tmpname');
    $bmoduleposition = $this->expparams->get('c_admanager_addimages_bmpname');
    $addid = (int) JRequest::getInt('id', null, '', 'array');
    $checkaduser = ExpAutosProFields::expaddcheck((int) $addid, (int) $user->id);
    $listimages = $this->expimages;
    $countimages = count($this->expimages);
    $imgcount = ExpAutosProHelper::getExpcount('images', 'catid', $addid);
    $groupimg = $this->expgroupfields->get('g_imgcount');
    $groupimgcount = $groupimg ? $groupimg : '5';
    $imgcount = $groupimgcount;
    $imgcounttext = $groupimgcount - $countimages;

    $expisnew = (int) JRequest::getInt('expisnew', '');
//print_r($this->expgroupfields->get('g_imgcount'));
//print_r($this->form->getValue('catid'));
//print_r($this->expgroupfields->get('g_adscount'));
//print_r($ads_count);
    ?>

    <div class="expautospro_topmodule">
        <div class="expautospro_topmodule_pos">
            <?php echo ExpAutosProHelper::load_module_position($topmoduleposition, $this->expparams->get('c_admanager_addimages_tmpstyle')); ?>
        </div>
        <div class="expautospro_clear"></div>
    </div>

    <!-- Skins Module Position !-->
    <?php if ($this->expparams->get('c_admanager_addimages_showskin')): ?>
        <div id="expskins_module">
            <?php
            $expmodparam = array('folder' => $this->expskins);
            echo ExpAutosProHelper::load_module_position('expskins', $style = 'none', $expmodparam);
            ?>
        </div>
        <div class="expautospro_clear"></div>
    <?php endif; ?>
    <div id="expautospro">
        <h2 class="well well-small"><?php echo JText::_('COM_EXPAUTOSPRO_CP_ADDIMAGES_TEXT') ?></h2>
        <?php if ($checkaduser || ($this->expedit && !$expisnew)): ?>
            <dl class="dl-horizontal expautos_imgconfig">
                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_IMAGES_MINWIDTH_TEXT'); ?></dt>
                <dd><span class="label label-inverse"><?php echo $this->expparams->get('c_images_minsize_width') ?> x  <?php echo $this->expparams->get('c_images_minsize_height') . JText::_('COM_EXPAUTOSPRO_CP_PX_TEXT'); ?></span></dd>


                <dt><?php echo JText::_('COM_EXPAUTOSPRO_CP_IMAGES_MAXFILESIZE_TEXT'); ?></dt>
                <dd><span class="label label-inverse"><?php echo ExpAutosProFields::exp_convertsize($this->expparams->get('c_images_maxfilesize')); ?></span></dd>

                <dt><?php echo JText::_('COM_EXPAUTOSPRO_IMAGES_MAXNUMUPLOAD_TEXT'); ?></dt>
                <dd><span id="expmaxuploadimg" class="label label-info"><?php echo $imgcounttext; ?></span></dd>
            </dl>


            <div class="expprofile-edit ">
                <div id="expimginfo"></div>
                <!-- The file upload form used as target for the file upload widget -->
                <form id="fileupload" action="<?php echo JRoute::_('index.php?option=com_expautospro&view=expimages&task=expimages.save&expisnew=' . $expisnew . '&catid=' . $addid); ?>" method="POST" enctype="multipart/form-data">
                    <!-- The fileupload-buttonbar contains buttons to add/delete files and start/cancel the upload -->
                    <div class="row fileupload-buttonbar">
                        <div class="span7">
                            <!-- The fileinput-button span is used to style the file input field as button -->
                            <span class="btn btn-success fileinput-button">
                                <i class="icon-plus icon-white"></i>
                                <span><?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_ADDIMAGES_TEXT'); ?></span>
                                <input type="file" name="adimages2[]" multiple />
                            </span>
                            <?php if ($auto_upload == 'false'): ?>
                                <button type="submit" class="btn btn-primary start">
                                    <i class="icon-upload icon-white"></i>
                                    <span><?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_STARTUPLOAD_TEXT'); ?></span>
                                </button>
                            <?php endif; ?>
                            <button type="reset" class="btn btn-warning cancel">
                                <i class="icon-ban-circle icon-white"></i>
                                <span><?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_CANCELUPLOAD_TEXT'); ?></span>
                            </button>
                            <button type="button" class="btn btn-danger delete">
                                <i class="icon-trash icon-white"></i>
                                <span><?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_DELETE_TEXT'); ?></span>
                            </button>
                            <input type="checkbox" class="toggle">
                        </div>
                        <!-- The global progress information -->
                        <div class="span5 fileupload-progress fade">
                            <!-- The global progress bar -->
                            <div class="progress progress-success progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100">
                                <div class="bar" style="width:0%;"></div>
                            </div>
                            <!-- The extended global progress information -->
                            <div class="progress-extended">&nbsp;</div>
                        </div>
                    </div>
                    <!-- The loading indicator is shown during file processing -->
                    <div class="fileupload-loading"></div>
                    <br>
                    <!-- The table listing the files available for upload/download -->
                    <table role="presentation" class="table table-striped">
                        <thead>
                        <th><?php echo JText::_('COM_EXPAUTOSPRO_CP_IMAGE_TEXT'); ?></th>
                        <th><?php echo JText::_('COM_EXPAUTOSPRO_CP_IMAGE_DESCRIPTION_TEXT'); ?></th>
                        <th><?php echo JText::_('COM_EXPAUTOSPRO_CP_IMAGE_ORDERING_TEXT'); ?></th>
                        <th></th><th></th>
                        <th><?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_DELETE_TEXT'); ?></th>
                        </thead>
                        <tbody class="files" >
                        </tbody>
                    </table>
                    <button type="submit" class="btn btn-large btn-primary"><?php echo JText::_('COM_EXPAUTOSPRO_CP_IMAGE_SAVEANDFINISHED_TEXT'); ?></button>

            </div>
            <?php echo JHtml::_('form.token'); ?>
        </form>


        <script id="template-upload" type="text/x-tmpl">
            {% for (var i=0, file; file=o.files[i]; i++) { %}
            <tr class="template-upload fade">
                <td class="preview"><span class="fade"></span></td>
                <td class="name"><span>{%=file.name%}</span></td>
                <td class="size"><span>{%=o.formatFileSize(file.size)%}</span></td>
                {% if (file.error) { %}
                <td class="error" colspan="2"><span class="label label-important">{%=locale.fileupload.error%}</span> {%=locale.fileupload.errors[file.error] || file.error%}</td>
                {% } else if (o.files.valid && !i) { %}
                <td>
                    <div class="progress progress-success progress-striped active" role="progressbar" aria-valuemin="0" aria-valuemax="100" aria-valuenow="0"><div class="bar" style="width:0%;"></div></div>
                </td>
                <td class="start">{% if (!o.options.autoUpload) { %}
                    <button class="btn btn-primary">
                        <i class="icon-upload icon-white"></i>
                        <span>{%=locale.fileupload.start%}</span>
                    </button>
                    {% } %}</td>
                {% } else { %}
                <td colspan="2"></td>
                {% } %}
                <td class="cancel">{% if (!i) { %}
                    <button class="btn btn-warning">
                        <i class="icon-ban-circle icon-white"></i>
                        <span>{%=locale.fileupload.cancel%}</span>
                    </button>
                    {% } %}</td>
            </tr>
            {% } %}
        </script>
        <!-- The template to display files available for download -->
        <script id="template-download" type="text/x-tmpl">

            {% for (var i=0, file; file=o.files[i]; i++) { %}
            <tr class="template-download fade">
                {% if (file.error) { %}
                <td></td>
                <td class="error" colspan="2"><p class="warning alert alert-error"> <span class="label label-important">{%=locale.fileupload.error%}</span> {%=locale.fileupload.errors[file.error] || file.error%}</p></td>
                <td colspan="2"></td>
                {% } else { %}
                <td class="preview">{% if (file.name) { %}
                    <a href="<?php echo ExpAutosProExpparams::ImgUrlPatchMiddle(); ?>{%=file.name%}" title="{%=file.name%}" rel="prettyPhoto[gall_exp]"><img src="<?php echo ExpAutosProExpparams::ImgUrlPatchThumbs(); ?>{%=file.name%}"></a>
                    {% } %}</td>
                <td class="size" valign="middle" style="vertical-align: middle"><span><textarea name="imgdescription[{%=file.id%}]" id="jform_description{%=i%}" rows="3" cols="30"  >{%=file.description%}</textarea></span></td>
                <td valign="middle" style="vertical-align: middle">
                    <input class="inputbox span1" type="text" name="imgordering[{%=file.id%}]" id="jform_ordering{%=i%}" size="2" maxlength="2" value="{% if (file.ordering > 0) { %}{%=file.ordering%}{% } else { %}{%=i+1%}{% } %}" />
                </td>
                <td colspan="2"></td>
                {% } %}
                <td class="delete" valign="middle" style="vertical-align: middle">
                    <button class="btn btn-danger" data-type="POST" data-url="index.php?option=com_expautospro&view=expimages&format=ajax&delid=1&delname={%=file.name%}&delid={%=file.id%}&catid=<?php echo $addid; ?>">
                        <i class="icon-trash icon-white"></i>
                        <span>{%=locale.fileupload.destroy%}</span>
                    </button>
                    <input type="checkbox" name="delete" value="1">
                </td>
            </tr>
            {% } %}
        </script>


        </div>
        <script>

            window.locale = {
                "fileupload": {
                    "errors": {
                        "maxFileSize": "<?php echo JText::sprintf(JText::_("COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_FILEBIG_TEXT"), ExpAutosProFields::exp_convertsize($this->expparams->get('c_images_maxfilesize'))); ?>",
                        "minFileSize": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_FILESMALL_TEXT'); ?>",
                        "acceptFileTypes": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_FILETYPENOT_TEXT'); ?>",
                        "maxNumberOfFiles": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_MAXNUMBER_TEXT'); ?>",
                        "uploadedBytes": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_BYTESEX_TEXT'); ?>",
                        "emptyResult": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_EMPTYFILE_TEXT'); ?>"
                    },
                    "error": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_ERROR_TEXT'); ?>",
                    "start": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_START_TEXT'); ?>",
                    "cancel": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_CANCEL_TEXT'); ?>",
                    "destroy": "<?php echo JText::_('COM_EXPAUTOSPRO_IMGADD_BOOTSTRAP2_DELETE_TEXT'); ?>"
                }
            };
            jQuery(function () {
                'use strict';
        <?php if ($usepretty): ?>
                    jQuery("a[rel^='prettyPhoto']").live("click", function(){
                        var url = jQuery(this).attr("href");
                        jQuery.prettyPhoto.open(url);
                        return false;
                    });
        <?php endif; ?>
                jQuery('#fileupload').bind('fileuploaddone', function (e, data) {
                    var maxcount = parseInt(jQuery('#expmaxuploadimg').text(), 10) - (data.files.length);
                    jQuery('#expmaxuploadimg').text(maxcount);
                })
                jQuery('#fileupload').bind('fileuploaddestroyed', function (e, data) {
                    var maxcount = parseInt(jQuery('#expmaxuploadimg').text(), 10) + (data.context.length);
                    jQuery('#expmaxuploadimg').text(maxcount);
                })


                // Initialize the jQuery File Upload widget:
                jQuery('#fileupload').fileupload({
                    dataType: 'json',
                    url: 'index.php?option=com_expautospro&view=expimages&format=ajax&catid=<?php echo $addid; ?>',
                    prependFiles: 'append',
                    autoUpload: <?php echo $auto_upload; ?>,
                    maxNumberOfFiles:<?php echo $imgcount; ?>
                		
                });

                jQuery('#fileupload').fileupload('option', {
                    maxFileSize: <?php echo $this->expparams->get('c_images_maxfilesize'); ?>,
                    acceptFileTypes: /(\.|\/)(gif|jpe?g|png)$/i
                });

                  
                // Load existing files:
                jQuery('#fileupload').each(function () {
                    var data_url = 'index.php?option=com_expautospro&view=expimages&format=ajax&data=1&catid=<?php echo $addid; ?>'
                    var that = this;
                    jQuery.getJSON(data_url, function (result) {
                        if (result && result.length) {
                            jQuery(that).fileupload('option', 'done')
                            .call(that, null, {result: result});
                        }
                    });
                });
                    

            });
        </script>
    <?php else: ?>
        <?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPADD_NOTUSERAD_ERROR_TEXT'); ?>
    <?php endif; ?>

    </div>
    <div class="expautospro_clear"></div>
    <?php if ($bmoduleposition): ?>
        <div class="expautospro_botmodule">
            <?php echo ExpAutosProHelper::load_module_position($bmoduleposition, $this->expparams->get('c_admanager_addimages_bmpstyle')); ?>
        </div>
    <?php endif; ?>
<?php }; ?>
