<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

defined('_JEXEC') or die;

$params_file = JPATH_COMPONENT . '/skins/expimport/default/parameters/params.php';
if (file_exists($params_file))
    require_once $params_file;
ExpAutosProHelper::expskin_lang('expimport', 'default');

$user = JFactory::getUser();
//$expitem = $this->expitemid;
$cache = JFactory::getCache('com_expautospro', '');
$cache->clean('com_expautospro');
$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/assets/css/expautospro.css');
$document->addStyleSheet(JURI::root() . 'components/com_expautospro/skins/expimport/default/css/default.css');
$topmoduleposition = $this->expparams->get('c_admanager_importxml_tmpname');
$bmoduleposition = $this->expparams->get('c_admanager_importxml_bmpname');
$expreqfield = ExpAutosProExpparams::getExpDealersParams($user->id);
?>
<div class="expautospro_topmodule">
    <div class="expautospro_topmodule_pos">
        <?php echo ExpAutosProHelper::load_module_position($topmoduleposition, $this->expparams->get('c_admanager_importxml_tmpstyle')); ?>
    </div>
    <div class="expautospro_clear"></div>
</div>

<!-- Skins Module Position !-->
<?php if($this->expparams->get('c_admanager_mkpage_showskin')):?>
<div id="expskins_module">
    <?php
    $expmodparam = array('folder' => $this->expskins);
    echo ExpAutosProHelper::load_module_position('expskins', $style = 'none', $expmodparam);
    ?>
</div>
<div class="expautospro_clear"></div>
<?php endif; ?>

<div id="expautospro">
    <h2><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPIMPORT_TEXT'); ?></h2>

    <?php if ($user->id && $expreqfield->get('g_expimport', 0)): ?>
        <div class="expimport_text">
            <p>
                <?php echo JText::_('COM_EXPAUTOSPRO_IMPORTXML_GENERAL_TEXT'); ?>
            </p>
            <?php if ($this->expparams->get('c_admanager_importxml_enableimgurl', 0)): ?>
                <p>
                    <?php echo JText::_('COM_EXPAUTOSPRO_IMPORTXML_ABOUTIMG_TEXT'); ?>
                </p>
            <?php endif; ?>
            <p>
                <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_IMPORTXML_MAXFILESIZE_TEXT',ExpAutosProFields::exp_convertsize($this->expparams->get('c_admanager_importxml_maxfilesize', 0)))); ?>
            </p>
        </div>
        <div class="expimport_icons">
            <?php if ($this->expparams->get('c_admanager_importxml_showzip', 1)): ?>
                <span class="exp_autos_pricon">
                    <?php echo JHtml::_('icon.importexp_iconzip', $this->expparams->get('c_admanager_importxml_linkzip', 'components/com_expautospro/views/expimport/expautos_examplezip.zip')); ?>
                </span>
            <?php endif; ?>
            <?php if ($this->expparams->get('c_admanager_importxml_showxml', 1)): ?>
                <span class="exp_autos_pricon">
                    <?php echo JHtml::_('icon.importexp_icon'); ?>
                </span>
            <?php endif; ?>
            <?php if ($this->expparams->get('c_admanager_importxml_showpdf', 1)): ?>
                <span class="exp_autos_pricon">
                    <?php echo JHtml::_('icon.importexp_iconpdf', $this->expparams->get('c_admanager_importxml_linkpdf', 'components/com_expautospro/views/expimport/expautos_importxml.pdf')); ?>
                </span>
            <?php endif; ?>
        </div>
        <div class="expprofile-edit">
            <form id="expmember-profile" action="<?php echo JRoute::_('index.php?option=com_expautospro&view=expimport&task=importxml'); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="expautosprocat-form" class="form-validate">
                <input type="file" name="expimport" value="" />
                <div>
                    <button type="submit" class="validate button"><span><?php echo JText::_('COM_EXPAUTOSPRO_CP_EXPIMPORT_BUTTON_TEXT'); ?></span></button>

                    <input type="hidden" name="option" value="com_expautospro" />
                    <input type="hidden" name="task" value="expimport.importxml" />
                    <?php echo JHtml::_('form.token'); ?>
                </div>
            </form>
        </div>
    <?php else: ?>
        <div class="expimport_text">
            <p class="">
                <?php echo JText::_(JText::sprintf('COM_EXPAUTOSPRO_IMPORTXML_NOLEVELS_TEXT', JRoute::_('index.php?option=com_expautospro&view=exppaylevel'))); ?>
            </p>
        </div>
    <?php endif; ?>
</div>
<div class="expautospro_clear"></div>
<?php echo ExpAutosProHelper::load_module_position('expimportmod', 'xhtml'); ?>
<?php if ($bmoduleposition): ?>
    <div class="expautospro_botmodule">
        <?php echo ExpAutosProHelper::load_module_position($bmoduleposition, $this->expparams->get('c_admanager_importxml_bmpstyle')); ?>
    </div>
<?php endif; ?>