<?php 
/* 
* @author Bryan Keller
* Email : satechheads@yahoo.com
* URL : www.sanantoniocomputerrepair.net
* Description : This allows you to like and share on many networks.
* Copyright (c) 2011 Techheads - IT Consulting
* License GNU GPL
***/

/// no direct access 

defined('_JEXEC') or die('Restricted access');

if (!function_exists('getShortUrl')) {
    function getShortUrl($moduleParams, $link){
        
        $options = array(
            "login"     => $moduleParams->get('shortLogin'),
            "apiKey"    => $moduleParams->get('shortApiKey'),
            "service"   => $moduleParams->get('shortener'),
        );
        $shortUrl 	= new EFShortUrlEasyLike($link,$options);
        $shortLink  = $shortUrl->getUrl();
        
        if(!$shortLink) {
        	$message   = $shortUrl->getError();
        	jimport('joomla.error.log');
            $log = &JLog::getInstance();
            $log->addEntry(array('comment' => $message));
        }
        
        return $shortLink;
	    }
	}

if (!function_exists('getBody')) {
    function getBody($article, $context) {
		$search = array('@<script[^>]*?>.*?</script>@si',
               		'@<[\/\!]*?[^<>]*?>@si',          
               		'@<style[^>]*?>.*?</style>@siU',  
               		'@<![\s\S]*?--[ \t\n\r]*>@'       
				);

		$temp = preg_replace($search, '', $article->text);
		$temp = str_replace('"', '&quot;', $temp);

		$temp = substr($temp,0,250);
		return $temp;

		}
	}


if (!function_exists('rstrstr')) {
  function rstrstr($haystack,$needle)
    {
        return substr($haystack, 0,strpos($haystack, $needle));
    }
}

if (!function_exists('setTags')) {
  function setTags($ogtag, &$article, &$doc, $tagvar) {

		$oglen = strlen($ogtag) + 2;

		if (strstr($article, '{'.$ogtag.'}')) {
			$start1 = strpos($article, '{'.$ogtag.'}') + $oglen;
			$end1 = strpos($article, '{/'.$ogtag.'}');
			$stend = $end1 - $start1;
			$tagvar = substr($article, strpos($article, '{'.$ogtag.'}') + $oglen, $stend);
			$articletemp = $this->rstrstr($article, '{'.$ogtag.'}');
			$articletemp .= substr(strstr($article, '{/'.$ogtag.'}'), ($oglen +1));
			$article = $articletemp;
		}

	if($tagvar != 'none'){
		$tagvar != '' and $doc->addCustomTag( '<meta property="og:'.$ogtag.'" content="'.$tagvar.'" />' );
	}
		
  }
}

$doc =& JFactory::getDocument();
$mod = JURI::base() . 'modules/mod_easylikeandshare/';
$doc->addStyleSheet(JURI::base() . 'modules/mod_easylikeandshare/style.css');

$url = "http://".$_SERVER['HTTP_HOST'] . getenv('REQUEST_URI');
$title = $doc->getTitle();

	$ogtags	= $params->get('ogtags');

	$goflag = '';
	$gsflag = '';
	$fbflag = '';
	$twflag = '';
	$tfflag = '';
	$diflag = '';
	$piflag = '';
	$gbflag = '';
	$gpflag = '';
	$fsflag = '';
	$dsflag = '';
	$fqflag = '';
	$flflag = '';


	if($ogtags == 'yes'){

		$ogtitle = str_replace('"', '&quot;', $title);
		$ogtitle = str_replace('amp;', '', $ogtitle);
		$ogurl  = $url;

		$search = array('@<script[^>]*?>.*?</script>@si',
               		'@<[\/\!]*?[^<>]*?>@si',          
               		'@<style[^>]*?>.*?</style>@siU',  
               		'@<![\s\S]*?--[ \t\n\r]*>@'       
				);

		$temp = preg_replace($search, '', $article->text);
		$temp = str_replace('"', '&quot;', $temp);

		$temp = substr($temp,0,250);

		$ogdescription = $temp;

	   $params->get('ogtype') != '' and $ogtype = $params->get('ogtype');
	   $params->get('ogtitle') != '' and $ogtitle	= $params->get('ogtitle');
	   $params->get('ogdescription') != '' and $ogdescription = $params->get('ogdescription');
	   $params->get('ogimage') != '' and $ogimage	= $params->get('ogimage');
	   $params->get('ogurl') != '' and $ogurl = $params->get('ogurl');
	   $params->get('ogdeterminer') != '' and $ogdeterminer = $params->get('ogdeterminer');
	   $params->get('ogaudio') != '' and $ogaudio = $params->get('ogaudio');
	   $params->get('oglocale') != '' and $oglocale = $params->get('oglocale');
	   $params->get('ogsitename') != '' and $ogsitename = $params->get('ogsitename');
	   $params->get('ogvideo') != '' and $ogvideo = $params->get('ogvideo');
	   $params->get('ogimagesecure') != '' and $ogimagesecure = $params->get('ogimagesecure');
	   $params->get('ogimagetype') != '' and $ogimagetype = $params->get('ogimagetype');
	   $params->get('ogimagewidth') != '' and $ogimagewidth = $params->get('ogimagewidth');
	   $params->get('ogimageheight') != '' and $ogimageheight = $params->get('ogimageheight');
	   $params->get('ogvideosecure') != '' and $ogvideosecure = $params->get('ogvideosecure');
	   $params->get('ogvideotype') != '' and $ogvideotype = $params->get('ogvideotype');
	   $params->get('ogvideowidth') != '' and $ogvideowidth = $params->get('ogvideowidth');
	   $params->get('ogvideoheight') != '' and $ogvideoheight = $params->get('ogvideoheight');
	   $params->get('ogaudiosecure') != '' and $ogaudiosecure = $params->get('ogaudiosecure');
	   $params->get('ogaudiotype') != '' and $ogaudiotype = $params->get('ogaudiotype');
	   $params->get('oglatitude') != '' and $oglatitude = $params->get('oglatitude');
	   $params->get('oglongitude') != '' and $oglongitude = $params->get('oglongitude');
	   $params->get('ogstreet-address') != '' and $ogstreetaddress = $params->get('ogstreet-address');
	   $params->get('oglocality') != '' and $oglocality = $params->get('oglocality');
	   $params->get('ogregion') != '' and $ogregion = $params->get('ogregion');
	   $params->get('ogpostal-code') != '' and $ogpostalcode = $params->get('ogpostal-code');
	   $params->get('ogcountry-name') != '' and $ogcountryname = $params->get('ogcountry-name');
	   $params->get('ogemail') != '' and $ogemail = $params->get('ogemail');
	   $params->get('ogphone_number') != '' and $ogphonenumber = $params->get('ogphone_number');
	   $params->get('ogfax_number') != '' and $ogfaxnumber = $params->get('ogfax_number');



	setTags('type', $article->text, $doc, $ogtype);
	setTags('title', $article->text, $doc, $ogtitle);
	setTags('description', $article->text, $doc, $ogdescription);
	setTags('url', $article->text, $doc, $ogurl);
	setTags('image', $article->text, $doc, $ogimage);
	setTags('determiner', $article->text, $doc, $ogdeterminer);
	setTags('audio', $article->text, $doc, $ogaudio);
	setTags('locale', $article->text, $doc, $oglocale);
	setTags('sitename', $article->text, $doc, $ogsitename);
	setTags('video', $article->text, $doc, $ogvideo);
	setTags('imagesecure', $article->text, $doc, $ogimagesecure);
	setTags('imagetype', $article->text, $doc, $ogimagetype);
	setTags('imagewidth', $article->text, $doc, $ogimagewidth);
	setTags('imageheight', $article->text, $doc, $ogimageheight);
	setTags('videosecure', $article->text, $doc, $ogvideosecure);
	setTags('videotype', $article->text, $doc, $ogvideotype);
	setTags('videowidth', $article->text, $doc, $ogvideowidth);
	setTags('videoheight', $article->text, $doc, $ogvideoheight);
	setTags('audiosecure', $article->text, $doc, $ogaudiosecure);
	setTags('audiotype', $article->text, $doc, $ogaudiotype);
	setTags('latitude', $article->text, $doc, $oglatitude);
	setTags('longitude', $article->text, $doc, $oglongitude);
	setTags('street-address', $article->text, $doc, $ogstreetaddress);
	setTags('locality', $article->text, $doc, $oglocality);
	setTags('region', $article->text, $doc, $ogregion);
	setTags('postal-code', $article->text, $doc, $ogpostalcode);
	setTags('country-name', $article->text, $doc, $ogcountryname);
	setTags('email', $article->text, $doc, $ogemail);
	setTags('phone_number', $article->text, $doc, $ogphonenumber);
	setTags('fax_number', $article->text, $doc, $ogfaxnumber);
		}

	$moduleclass_sfx 	= $params->get('moduleclass_sfx','');
	$credits      		= $params->get('credits','no');

    	$css		= $params->get('css');
    	$align	= $params->get('align');
	$centering	= $params->get('centering');
		
		
	$goheight	= $params->get('goheight','');
	$gowidth	= $params->get('gowidth','');
	$gocss	= $params->get('gocss','');

	$twheight	= $params->get('twheight','');
	$twwidth	= $params->get('twwidth','');
	$twcss	= $params->get('twcss','');

	$fbheight	= $params->get('fbheight','');
	$fbwidth	= $params->get('fbwidth','');
	$fbcss	= $params->get('fbcss','');

	$diheight	= $params->get('diheight','');
	$diwidth	= $params->get('diwidth','');
	$dicss	= $params->get('dicss','');

	$stheight	= $params->get('stheight','');
	$stwidth	= $params->get('stwidth','');
	$stcss	= $params->get('stcss','');

	$liheight	= $params->get('liheight','');
	$liwidth	= $params->get('liwidth','');
	$licss	= $params->get('licss','');

	$tmheight	= $params->get('tmheight','');
	$tmwidth	= $params->get('tmwidth','');
	$tmcss	= $params->get('tmcss','');

	$reheight	= $params->get('reheight','');
	$rewidth	= $params->get('rewidth','');
	$recss	= $params->get('recss','');

	$piheight	= $params->get('piheight','');
	$piwidth	= $params->get('piwidth','');
	$picss	= $params->get('picss','');
	
	$tfheight	= $params->get('tfheight','');
	$tfwidth	= $params->get('tfwidth','');
	$tfcss	= $params->get('tfcss','');

	$bfheight	= $params->get('bfheight','');
	$bfwidth	= $params->get('bfwidth','');
	$bfcss	= $params->get('bfcss','');

	$xiheight	= $params->get('xiheight','');
	$xiwidth	= $params->get('xiwidth','');
	$xicss	= $params->get('xicss','');

	$gsheight	= $params->get('gsheight','');
	$gswidth	= $params->get('gswidth','');
	$gscss	= $params->get('gscss','');

	$emheight	= $params->get('emheight','');
	$emwidth	= $params->get('emwidth','');
	$emcss	= $params->get('emcss','');

	$gbheight	= $params->get('gbheight','');
	$gbwidth	= $params->get('gbwidth','');
	$gbcss	= $params->get('gbcss','');

	$gpheight	= $params->get('gpheight','');
	$gpwidth	= $params->get('gpwidth','');
	$gpcss	= $params->get('gpcss','');

	$fsheight	= $params->get('fsheight','');
	$fswidth	= $params->get('fswidth','');
	$fscss	= $params->get('fscss','');

	$dsheight	= $params->get('dsheight','');
	$dswidth	= $params->get('dswidth','');
	$dscss	= $params->get('dscss','');

	$fqheight	= $params->get('fqheight','');
	$fqwidth	= $params->get('fqwidth','');
	$fqcss	= $params->get('fqcss','');

	$flheight	= $params->get('flheight','');
	$flwidth	= $params->get('flwidth','');
	$flcss	= $params->get('flcss','');



	$fbappid		= $params->get('fbappid');
	$fbsendbutton	= $params->get('fbsendbutton') == 'yes' ? 'true' : 'false';
	$fbfaces 		= $params->get('fbfaces') == 'yes' ? 'true' : 'false';
	$fblayout 		= $params->get('fblayout');
	$fboutput 		= $params->get('fboutput');
	$fbverb 		= $params->get('fbverb');
	$fbfont 		= $params->get('fbfont');
	$fblocale 		= $params->get('fblocale');
	$fbcolor 		= $params->get('fbcolor');
	$retype 		= $params->get('retype');
	$rebgcolor 	= $params->get('rebgcolor');
	$rebordercol	= $params->get('rebordercol');
	$gourl 		= $params->get('gourl') != '' ? $params->get('gourl') : $url;
	$dsurl 		= $params->get('dsurl') != '' ? $params->get('dsurl') : $url;
	$fsurl 		= $params->get('fsurl') != '' ? $params->get('fsurl') : $url;
	$gsurl 		= $params->get('gsurl') != '' ? $params->get('gsurl') : $url;
	$twurl 		= $params->get('twurl') != '' ? $params->get('twurl') : $url;
	$xiurl 		= $params->get('xiurl') != '' ? $params->get('xiurl') : $url;
	$fburl 		= $params->get('fburl') != '' ? $params->get('fburl') : $url;
	$diurl 		= $params->get('diurl') != '' ? $params->get('diurl') : $url;
	$sturl 		= $params->get('sturl') != '' ? $params->get('sturl') : $url;
	$liurl 		= $params->get('liurl') != '' ? $params->get('liurl') : $url;
	$tmurl 		= $params->get('tmurl') != '' ? $params->get('tmurl') : $url;
	$reurl 		= $params->get('reurl') != '' ? $params->get('reurl') : $url;
	$retitle 	= $params->get('retitle') != '' ? $params->get('retitle') : $title;
	$dititle 	= $params->get('dititle') != '' ? $params->get('dititle') : $title;
	$twtitle 	= $params->get('twtitle') != '' ? $params->get('twtitle') : $title;
	$dstitle 	= $params->get('dstitle') != '' ? $params->get('dstitle') : $title;

	$gojembed		= $params->get('gojembed');
	$fbjembed		= $params->get('fbjembed');
	$twjembed		= $params->get('twjembed');
	$tfjembed		= $params->get('tfjembed');
	$dijembed 		= $params->get('dijembed');
	$pijembed 		= $params->get('pijembed');
	$gsjembed		= $params->get('gsjembed');
	$gbjembed		= $params->get('gbjembed');
	$gpjembed		= $params->get('gpjembed');
	$dsjembed		= $params->get('dsjembed');
	$fsjembed		= $params->get('fsjembed');
	$fqjembed		= $params->get('fqjembed');
	$fljembed		= $params->get('fljembed');

	$fqid			= $params->get('fqid');
	$flid			= $params->get('flid');
	$flname		= $params->get('flname');
	$fsstyle		= $params->get('fsstyle');
	$dsstyle		= $params->get('dsstyle');
	$fqstyle		= $params->get('fqstyle');
	$flstyle		= $params->get('flstyle');
	$gslang		= $params->get('gslang');
	$gsoutput		= $params->get('gsoutput');
	$twlang		= $params->get('twlang');
	$golang		= $params->get('golang');
	$pitype		= $params->get('pitype');
	$pibtype		= $params->get('pibtype');
	$piurl		= $params->get('piurl') != '' ? $params->get('piurl') : $url;
	$piimage		= $params->get('piimage');
	$pidescription	= $params->get('pidescription', '') != '' ? $params->get('pidescription') : $title;	
	$tflang			= $params->get('tflang');
	$xilang			= $params->get('xilang');
	$tfuser			= $params->get('tfuser');		
	$tflayout 			= $params->get('tflayout');
	$xilayout 			= $params->get('xilayout');
	$bfurl 			= $params->get('bfurl') != '' ? $params->get('bfurl') : $url;	
	$bftitle 		= $params->get('bftitle') != '' ? $params->get('bftitle') : $title;	
	$bflayout		= $params->get('bflayout');
	$emstyle		= $params->get('emstyle');
	$gboutput		= $params->get('gboutput');
	$gbfeatures	= $params->get('gbfeatures');
	$gbcustom		= $params->get('gbcustom');
	$gbiconsize	= $params->get('gbiconsize');
	$gblang		= $params->get('gblang');
	$gbcolortheme	= $params->get('gbcolortheme');
	$gbpage		= $params->get('gbpage');
	$gbpagetype	= $params->get('gbpagetype');
	$gpoutput		= $params->get('gpoutput');
	$gpfeatures	= $params->get('gpfeatures');
	$gpcustom		= $params->get('gpcustom');
	$gpiconsize	= $params->get('gpiconsize');
	$gplang		= $params->get('gplang');
	$gpcolortheme	= $params->get('gpcolortheme');
	$gppage		= $params->get('gppage');
	$gppagetype	= $params->get('gppagetype');

	
	if($fqid != ''){
		$fqidhold = '"uid":"'.$fqid.'"';
		}

	global $fqflag;	
	if((($fqjembed == 'everytime') || ($fqjembed == 'once')) && ($fqflag != 'yes')) {
		if($fqjembed == 'once'){
			$fqflag = 'yes';
		}else{
			$fqflag = 'no';	
			}
		$fqjs = '<script type="text/javascript">
  (function() {
    window.___fourSq = {'.$fqidhold.'};
    var s = document.createElement("script");
    s.type = "text/javascript";
    s.src = "http://platform.foursquare.com/js/widgets.js";
    s.async = true;
    var ph = document.getElementsByTagName("script")[0];
    ph.parentNode.insertBefore(s, ph);
  })();
</script>';
	}else{
		$fqjs ='';
	}


	global $flflag;	
	if((($fljembed == 'everytime') || ($fljembed == 'once')) && ($flflag != 'yes')) {
		if($fljembed == 'once'){
			$flflag = 'yes';
		}else{
			$flflag = 'no';	
			}
		$fljs = '<script type="text/javascript">
  (function() {
    window.___fourSq = {};
    var s = document.createElement("script");
    s.type = "text/javascript";
    s.src = "http://platform.foursquare.com/js/widgets.js";
    s.async = true;
    var ph = document.getElementsByTagName("script")[0];
    ph.parentNode.insertBefore(s, ph);
  })();
</script>';
	}else{
		$fljs ='';
	}

	global $dsflag;	
	if((($dsjembed == 'everytime') || ($dsjembed == 'once')) && ($dsflag != 'yes')) {
		if($dsjembed == 'once'){
			$dsflag = 'yes';
		}else{
			$dsflag = 'no';	
			}
/*		$dsjs = '<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>
<script type="text/javascript" src="http://delicious-button.googlecode.com/files/jquery.delicious-button-1.1.min.js"></script>';	*/
		$dsjs = '<script type="text/javascript" src="http://delicious-button.googlecode.com/files/jquery.delicious-button-1.1.min.js"></script>';
	}else{
		$dsjs ='';
	}


	global $fsflag;	
	if((($fsjembed == 'everytime') || ($fsjembed == 'once')) && ($fsflag != 'yes')) {
		if($fsjembed == 'once'){
			$fsflag = 'yes';
		}else{
			$fsflag = 'no';	
			}
		$fsjs = '<script src="http://static.ak.fbcdn.net/connect.php/js/FB.Share" type="text/javascript"></script>';
	}else{
		$fsjs ='';
	}


	global $goflag;	
	if((($gojembed == 'everytime') || ($gojembed == 'once')) && ($goflag != 'yes')) {
		if($gojembed == 'once'){
			$goflag = 'yes';
		}else{
			$goflag = 'no';	
			}
		$gojs = '<script type="text/javascript"> (function() {var po = document.createElement("script"); po.type = "text/javascript"; po.async = true; po.src = "https://apis.google.com/js/plusone.js"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s); })(); </script><script type="text/javascript"> window.___gcfg = {lang: "'.$golang.'"}; </script>';
	}else{
		$gojs ='';
	}

	global $gsflag;
	if((($gsjembed == 'everytime') || ($gsjembed == 'once')) && ($gsflag != 'yes')) {
		if($gsjembed == 'once'){
			$gsflag = 'yes';
		}else{
			$gsflag = 'no';	
			}
		$gsjs = '<script type="text/javascript"> window.___gcfg = {lang: "'.$gslang.'"}; (function() { var po = document.createElement("script"); po.type = "text/javascript"; po.async = true; po.src = "https://apis.google.com/js/plusone.js"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s); })(); </script>';
	}else{
		$gsjs ='';
	}

	global $gbflag;
	if((($gbjembed == 'everytime') || ($gbjembed == 'once')) && ($gbflag != 'yes')) {
		if($gbjembed == 'once'){
			$gbflag = 'yes';
		}else{
			$gbflag = 'no';	
			}
		$gbjs = '<script type="text/javascript"> window.___gcfg = {lang: "'.$gblang.'"}; (function() { var po = document.createElement("script"); po.type = "text/javascript"; po.async = true; po.src = "https://apis.google.com/js/plusone.js"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s); })(); </script>';
	}else{
		$gbjs ='';
	}

	global $gpflag;
	if((($gpjembed == 'everytime') || ($gpjembed == 'once')) && ($gpflag != 'yes')) {
		if($gpjembed == 'once'){
			$gpflag = 'yes';
		}else{
			$gpflag = 'no';	
			}
		$gpjs = '<script type="text/javascript"> window.___gcfg = {lang: "'.$gplang.'"}; (function() { var po = document.createElement("script"); po.type = "text/javascript"; po.async = true; po.src = "https://apis.google.com/js/plusone.js"; var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s); })(); </script>';
	}else{
		$gpjs ='';
	}

	global $fbflag;
	if((($fbjembed == 'everytime') || ($fbjembed == 'once')) && ($fbflag != 'yes')) {
		if($fbjembed == 'once'){
			$fbflag = 'yes';
		}else{
			$fbflag = 'no';	
			}
		$fbjs = '<script> (function(d, s, id) {var js, fjs = d.getElementsByTagName(s)[0]; if (d.getElementById(id)) {return}; js = d.createElement(s); js.id = id; js.async = true; js.src = "//connect.facebook.net/'.$fblocale.'/all.js#xfbml=1&appId='.$fbappid.'"; fjs.parentNode.insertBefore(js, fjs); }(document, "script", "facebook-jssdk")); </script>';
	}else{
		$fbjs = '';
	}

	global $twflag;
	if((($twjembed == 'everytime') || ($twjembed == 'once')) && ($twflag != 'yes')) {
		if($twjembed == 'once'){
			$twflag = 'yes';
		}else{
			$twflag = 'no';	
			}
		$twjs = '<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>';
	}else{
		$twjs = '';
	}

	global $tfflag;
	if((($tfjembed == 'everytime') || ($tfjembed == 'once')) && ($tfflag != 'yes')) {
		if($tfjembed == 'once'){
			$tfflag = 'yes';
		}else{
			$tfflag = 'no';	
			}
		$tfjs = '<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>';
	}else{
		$tfjs = '';
	}

	global $diflag;
	if((($dijembed == 'everytime') || ($dijembed == 'once')) && ($diflag != 'yes')) {
		if($dijembed == 'once'){
			$diflag = 'yes';
		}else{
			$diflag = 'no';	
			}
		$dijs = '<script type="text/javascript">
(function() { var s = document.createElement("SCRIPT"), s1 = document.getElementsByTagName("SCRIPT")[0]; s.type = "text/javascript"; s.async = true; s.src = "http://widgets.digg.com/buttons.js"; s1.parentNode.insertBefore(s, s1); })(); </script>';
	}else{
		$dijs = '';
	}

	global $piflag;
	$piposturl = '<a href="http://pinterest.com/pin/create/button/?url=' .rawurlencode($piurl). '&amp;media=' .rawurlencode($piimage). '&amp;description='. rawurlencode($pidescription). ' " class="pin-it-button" count-layout="'.$pitype.'"><img border="0" src="//assets.pinterest.com/images/PinExt.png" title="Pin It" /></a>';
	if((($pijembed == 'everytime') || ($pijembed == 'once')) && ($piflag != 'yes')) {
		if($pijembed == 'once'){
			$piflag = 'yes';
		}else{
			$piflag = 'no';
		}
		if($pibtype == 'bookmarklet') {
			$piposturl = '<a href="javascript:void(run_pinmarklet())"><img src="//assets.pinterest.com/images/PinExt.png"></a>';
			$pijs = '<script type="text/javascript">
function run_pinmarklet() {
    var e=document.createElement("script");
    e.setAttribute("type","text/javascript");
    e.setAttribute("charset","UTF-8");
    e.setAttribute("src","http://assets.pinterest.com/js/pinmarklet.js?r=" + Math.random()*99999999);
    document.body.appendChild(e);
}
</script>';
		}else{
			$pijs = '<script type="text/javascript">
(function() { window.PinIt = window.PinIt || { loaded:false }; if (window.PinIt.loaded) return; window.PinIt.loaded = true; function async_load(){ var s = document.createElement("script"); s.type = "text/javascript"; s.async = true; if  (window.location.protocol == "https:") s.src = "https://assets.pinterest.com/js/pinit.js"; else s.src = "http://assets.pinterest.com/js/pinit.js"; var x = document.getElementsByTagName("script")[0]; x.parentNode.insertBefore(s, x); } if (window.attachEvent) window.attachEvent("onload", async_load); else window.addEventListener("load", async_load, false); })(); </script>';
		}
		}else{
			$pijs = '';
		}		
		
			
	$twlayout 		= $params->get('twlayout');
	$twuser 		= $params->get('twuser');
	$twvia 		= $params->get('twvia');
	$twhashtag		= $params->get('twhashtag');
	$sizegoogle	= $params->get("sizegoogle");
	$annotation	= $params->get("annotation");
	$gs_annotation	= $params->get('gs_annotation');
	$gs_size		= $params->get('gs_size');
	$re1			= $params->get('re1');
	$tm1			= $params->get('tm1');
	$li1			= $params->get('li1');
	$st1			= $params->get('st1');
	$di1			= $params->get('di1');
	$fb1			= $params->get('fb1');
	$tw1			= $params->get('tw1');
	$go1			= $params->get('go1');
	$pi1			= $params->get('pi1');
	$tf1			= $params->get('tf1');	
	$bf1			= $params->get('bf1');	
	$xi1			= $params->get('xi1');
	$gs1			= $params->get('gs1');
	$em1			= $params->get('em1');
	$gb1			= $params->get('gb1');
	$gp1			= $params->get('gp1');
	$fs1			= $params->get('fs1');
	$ds1			= $params->get('ds1');
	$fq1			= $params->get('fq1');
	$fl1			= $params->get('fl1');
	$lilayout 		= $params->get('lilayout');
	$tmlayout 		= $params->get('tmlayout');
	$dilayout 		= $params->get('dilayout');
	$stlayout 		= $params->get('stlayout');
	$twlarge		= $params->get('twlarge');
	$shortener		= $params->get('shortener');
	$shortLogin	= $params->get('shortLogin');
	$shortApiKey	= $params->get('shortApiKey');
	$tws			= $params->get('tws');



	if($align == 'horizontal'){
		if($fscss == ''){
			$fscss = 'float: left;';
		}
		if($dscss == ''){
			$dscss = 'float: left;';
		}
		if($fqcss == ''){
			$fqcss = 'float: left;';
		}
		if($flcss == ''){
			$flcss = 'float: left;';
		}
		if($gbcss == ''){
			$gbcss = 'float: left;';
		}
		if($gpcss == ''){
			$gpcss = 'float: left;';
		}
		if($emcss == ''){
			$emcss = 'float: left;';
		}
		if($gscss == ''){
			$gscss = 'float: left;';
		}
		if($xicss == ''){
			$xicss = 'float: left;';
		}
		if($bfcss == ''){
			$bfcss = 'float: left;';
		}
		if($tfcss == ''){
			$tfcss = 'float: left;';
		}
		if($picss == ''){
			$picss = 'float: left;';
		}
		if($recss == ''){
			$recss = 'float: left;';
		}
		if($tmcss == ''){
			$tmcss = 'float: left;';
		}
		if($licss == ''){
			$licss = 'float: left;';
		}
		if($stcss == ''){
			$stcss = 'float: left;';
		}	
		if($dicss == ''){
			$dicss = 'float: left;';
		}
		if($fbcss == ''){
			$fbcss = 'float: left;';
		}
		if($twcss == ''){
			$twcss = 'float: left;';
		}
		if($gocss == ''){
			$gocss = 'float: left;';
		}

	}else{
		if($fscss == ''){
			$fscss = 'text-align: '.$centering.';';
		}
		if($dscss == ''){
			$dscss = 'text-align: '.$centering.';';
		}
		if($fqcss == ''){
			$fqcss = 'text-align: '.$centering.';';
		}
		if($flcss == ''){
			$flcss = 'text-align: '.$centering.';';
		}
		if($gbcss == ''){
			$gbcss = 'text-align: '.$centering.';';
		}
		if($gpcss == ''){
			$gpcss = 'text-align: '.$centering.';';
		}
		if($emcss == ''){
			$emcss = 'text-align: '.$centering.';';
		}
		if($bfcss == ''){
			$bfcss = 'text-align: '.$centering.';';
		}
		if($xicss == ''){
			$xicss = 'text-align: '.$centering.';';
		}
		if($gscss == ''){
			$gscss = 'text-align: '.$centering.';';
		}
		if($tfcss == ''){
			$tfcss = 'text-align: '.$centering.';';
		}
		if($picss == ''){
			$picss = 'text-align: '.$centering.';';
		}
		if($recss == ''){
			$recss = 'text-align: '.$centering.';';
		}
		if($tmcss == ''){
			$tmcss = 'text-align: '.$centering.';';
		}
		if($licss == ''){
			$licss = 'text-align: '.$centering.';';
		}
		if($stcss == ''){
			$stcss = 'text-align: '.$centering.';';
		}	
		if($dicss == ''){
			$dicss = 'text-align: '.$centering.';';
		}
		if($fbcss == ''){
			$fbcss = 'text-align: '.$centering.';';
		}
		if($twcss == ''){
			$twcss = 'text-align: '.$centering.';';
		}
		if($gocss == ''){
			$gocss = 'text-align: '.$centering.';';
		}
		
	}


	if($fs1 == 'yes'){
		switch($fsstyle){
			case 'box_count':
				if($fswidth == ''){
					$fswidth = '70';
					}
				if($fsheight == ''){
					$fsheight = '75';
					}
				break;
			case 'button_count':
				if($fswidth == ''){
					$fswidth = '95';
					}
				if($fsheight == ''){
					$fsheight = '30';
					}
				break;
			case 'button':
				if($fswidth == ''){
					$fswidth = '70';
					}
				if($fsheight == ''){
					$fsheight = '30';
					}
				break;
			case 'icon':
				if($fswidth == ''){
					$fswidth = '30';
					}
				if($fsheight == ''){
					$fsheight = '30';
					}
				break;
				}
			}

	if($ds1 == 'yes'){
		switch($dsstyle){
			case 'tall':
				if($dswidth == ''){
					$dswidth = '61';
					}
				if($dsheight == ''){
					$dsheight = '75';
					}
				break;
			case 'wide':
				if($dswidth == ''){
					$dswidth = '90';
					}
				if($dsheight == ''){
					$dsheight = '30';
					}
				break;
				}
			}

	if($fq1 == 'yes'){
		switch($fqstyle){
			case 'standard':
				if($fqwidth == ''){
					$fqwidth = '65';
					}
				if($fqheight == ''){
					$fqheight = '30';
					}
				break;
			case 'wide':
				if($fqwidth == ''){
					$fqwidth = '135';
					}
				if($fqheight == ''){
					$fqheight = '30';
					}
				break;
				}
			}

	if($fl1 == 'yes'){
		switch($flstyle){
			case 'standard':
				if($flwidth == ''){
					$flwidth = '70';
					}
				if($flheight == ''){
					$flheight = '30';
					}
				break;
			case 'wide':
				if($flwidth == ''){
					$flwidth = '160';
					}
				if($flheight == ''){
					$flheight = '30';
					}
				break;
				}
			}

	if($em1 == 'yes'){
		switch($emstyle){
			case 'horizontal':
				$emimage = 'em_hor.png';
				if($emwidth == ''){
					$emwidth = '61';
					}
				if($emheight == ''){
					$emheight = '30';
					}
				break;
			case 'vertical':
				$emimage = 'em_ver.png';
				if($emwidth == ''){
					$emwidth = '61';
					}
				if($emheight == ''){
					$emheight = '75';
					}
				break;
				}
			}
	
	if($re1 == 'yes'){
		switch($retype){
			case 'button1':
				if($rewidth == ''){
					$rewidth = '35';
					}
				if($reheight == ''){
					$reheight = '30';
					}
				break;
			case 'button2':
				if($rewidth == ''){
					$rewidth = '90';
					}
				if($reheight == ''){
					$reheight = '30';
					}
				break;
			case 'button3':
				if($rewidth == ''){
					$rewidth = '90';
					}
				if($reheight == ''){
					$reheight = '30';
					}
				break;
			case 'button4':
				if($rewidth == ''){
					$rewidth = '130';
					}
				if($reheight == ''){
					$reheight = '30';
					}
				break;
			case 'button5':
				if($rewidth == ''){
					$rewidth = '61';
					}
				if($reheight == ''){
					$reheight = '75';
					}
				break;
			case 'button6':
				if($rewidth == ''){
					$rewidth = '61';
					}
				if($reheight == ''){
					$reheight = '75';
					}
				break;
				}
			}

	if($gs1 == 'yes'){
		switch($gs_annotation){
			case 'none':
				if($gs_size == 'small'){
					$gs_size = '15';
					if($gswidth == ''){
						$gswidth = '53';
						}
					if($gsheight == ''){
						$gsheight = '15';
						}
				}elseif($gs_size == 'medium'){
					$gs_size = '';
					if($gswidth == ''){
						$gswidth = '66';
						}
					if($gsheight == ''){
						$gsheight = '30';
						}
				}else{
					$gs_size = '24';
					if($gswidth == ''){
						$gswidth = '90';
						}
					if($gsheight == ''){
						$gsheight = '30';
						}
					}
				break;
			case 'bubble':
				if($gs_size == 'small'){
					$gs_size = '15';
					if($gswidth == ''){
						$gswidth = '88';
						}
					if($gsheight == ''){
						$gsheight = '15';
						}
				}elseif($gs_size == 'medium'){
					$gs_size = '';
					if($gswidth == ''){
						$gswidth = '102';
						}
					if($gsheight == ''){
						$gsheight = '30';
						}
				}else{
					$gs_size = '24';
					if($gswidth == ''){
						$gswidth = '131';
						}
					if($gsheight == ''){
						$gsheight = '30';
						}
					}
				break;
			case 'vertical-bubble':
				if($gswidth == ''){
					$gswidth = '65';
					}
				if($gsheight == ''){
					$gsheight = '75';
					}
				break;
			case 'inline':
				if($gs_size == 'small'){
					if($gswidth == ''){
						$gswidth = '192';
						}
					if($gsheight == ''){
						$gsheight = '15';
						}
				}elseif($gs_size == 'medium'){
					if($gswidth == ''){
						$gswidth = '262';
						}
					if($gsheight == ''){
						$gsheight = '30';
						}
				}else{
					if($gswidth == ''){
						$gswidth = '297';
						}
					if($gsheight == ''){
						$gsheight = '30';
						}
					}
				break;
				}
			}

	if($gb1 == 'yes'){
		switch($gbfeatures){
			case 'icon':
				if($gbiconsize == 'small'){
					if($gbwidth == ''){
						$gbwidth = '20';
						}
					if($gbheight == ''){
						$gbheight = '16';
						}
				}elseif($gbiconsize == 'medium'){
					if($gbwidth == ''){
						$gbwidth = '36';
						}
					if($gbheight == ''){
						$gbheight = '32';
						}
				}else{
					if($gbwidth == ''){
						$gbwidth = '74';
						}
					if($gbheight == ''){
						$gbheight = '64';
						}
					}
				break;
			case 'small':
				if($gbiconsize == 'small'){
					if($gbwidth == ''){
						$gbwidth = '100';
						}
					if($gbheight == ''){
						$gbheight = '131';
						}
				}elseif($gbiconsize == 'medium'){
					if($gbwidth == ''){
						$gbwidth = '275';
						}
					if($gbheight == ''){
						$gbheight = '69';
						}
				}else{
					if($gbwidth == ''){
						$gbwidth = '450';
						}
					if($gbheight == ''){
						$gbheight = '69';
						}
					}
				break;
			case 'standard':
				if($gbiconsize == 'small'){
					if($gbpagetype == 'author'){
						if($gbwidth == ''){
							$gbwidth = '100';
						}
					}else{
						if($gbwidth == ''){
							$gbwidth = '180';
						}
					}
					if($gbpagetype == 'author'){
						if($gbheight == ''){
							$gbheight = '131';
						}
					}else{
						if($gbheight == ''){
							$gbheight = '131';
						}
					}
				}elseif($gbiconsize == 'medium'){
					if($gbpagetype == 'author'){
						if($gbwidth == ''){
							$gbwidth = '275';
						}
					}else{
						if($gbwidth == ''){
							$gbwidth = '315';
						}
					}
					if($gbpagetype == 'author'){
						if($gbheight == ''){
							$gbheight = '69';
						}
					}else{
						if($gbheight == ''){
							$gbheight = '131';
						}
					}
				}else{
					if($gbpagetype == 'author'){
						if($gbwidth == ''){
							$gbwidth = '450';
						}
					}else{
						if($gbwidth == ''){
							$gbwidth = '450';
						}
					}
					if($gbpagetype == 'author'){
						if($gbheight == ''){
							$gbheight = '69';
						}
					}else{
						if($gbheight == ''){
							$gbheight = '131';
						}
					}
				}
				break;
				}
			}

	if($gp1 == 'yes'){
		switch($gpfeatures){
			case 'icon':
				if($gpiconsize == 'small'){
					if($gpwidth == ''){
						$gpwidth = '20';
						}
					if($gpheight == ''){
						$gpheight = '16';
						}
				}elseif($gpiconsize == 'medium'){
					if($gpwidth == ''){
						$gpwidth = '36';
						}
					if($gpheight == ''){
						$gpheight = '32';
						}
				}else{
					if($gpwidth == ''){
						$gpwidth = '74';
						}
					if($gpheight == ''){
						$gpheight = '64';
						}
					}
				break;
			case 'small':
				if($gpiconsize == 'small'){
					if($gpwidth == ''){
						$gpwidth = '100';
						}
					if($gpheight == ''){
						$gpheight = '131';
						}
				}elseif($gpiconsize == 'medium'){
					if($gpwidth == ''){
						$gpwidth = '275';
						}
					if($gpheight == ''){
						$gpheight = '69';
						}
				}else{
					if($gpwidth == ''){
						$gpwidth = '450';
						}
					if($gpheight == ''){
						$gpheight = '69';
						}
					}
				break;
			case 'standard':
				if($gpiconsize == 'small'){
					if($gppagetype == 'author'){
						if($gpwidth == ''){
							$gpwidth = '100';
						}
					}else{
						if($gpwidth == ''){
							$gpwidth = '180';
						}
					}
					if($gppagetype == 'author'){
						if($gpheight == ''){
							$gpheight = '69';
						}
					}else{
						if($gpheight == ''){
							$gpheight = '131';
						}
					}
				}elseif($gpiconsize == 'medium'){
					if($gppagetype == 'author'){
						if($gpwidth == ''){
							$gpwidth = '275';
						}
					}else{
						if($gpwidth == ''){
							$gpwidth = '315';
						}
					}
					if($gppagetype == 'author'){
						if($gpheight == ''){
							$gpheight = '69';
						}
					}else{
						if($gpheight == ''){
							$gpheight = '131';
						}
					}
				}else{
					if($gppagetype == 'author'){
						if($gpwidth == ''){
							$gpwidth = '450';
						}
					}else{
						if($gpwidth == ''){
							$gpwidth = '450';
						}
					}
					if($gppagetype == 'author'){
						if($gpheight == ''){
							$gpheight = '69';
						}
					}else{
						if($gpheight == ''){
							$gpheight = '131';
						}
					}
				}
				break;
				}
			}

	if($tm1 == 'yes'){
		if($tmlayout == 'standard'){
			$tmstr='';
			if($tmwidth == ''){
				$tmwidth = '61';
				}
			if($tmheight == ''){
				$tmheight = '75';
				}
		}else{
			$tmstr="compact";
			if($tmwidth == ''){
				$tmwidth = '75';
				}
			if($tmheight == ''){
				$tmheight = '30';
				}
			}
		}

	if($bf1 == 'yes'){
		switch($bflayout){
			case 'horizontal':
				$bfstr="horizontal";
				if($bfwidth == ''){
					$bfwidth = '95';
					}
				if($bfheight == ''){
					$bfheight = '30';
					}
				break;		
			case 'vertical':
				$bfstr="vertical";
				if($bfwidth == ''){
					$bfwidth = '61';
					}
				if($bfheight == ''){
					$bfheight = '75';
					}
				break;		
			case 'no_count':
				$bfstr="none";
				if($bfwidth == ''){
					$bfwidth = '80';
					}
				if($bfheight == ''){
					$bfheight = '30';
					}
				break;		
			}
		}

	if($xi1 == 'yes'){
		switch($xilayout){
			case 'top':
				if($xiwidth == ''){
					$xiwidth = '61';
					}
				if($xiheight == ''){
					$xiheight = '75';
					}
				$xishape = '';
				$xicount = 'top';
				break;		
			case 'right':
				if($xiwidth == ''){
					$xiwidth = '95';
					}
				if($xiheight == ''){
					$xiheight = '30';
					}
				$xishape = '';
				$xicount = 'right';
				break;		
			case 'rectangle':
				if($xiwidth == ''){
					$xiwidth = '80';
					}
				if($xiheight == ''){
					$xiheight = '30';
					}
				$xishape = 'rectangle';
				$xicount = 'no_count';
				break;		
			case 'small_square':
				if($xiwidth == ''){
					$xiwidth = '40';
					}
				if($xiheight == ''){
					$xiheight = '30';
					}
				$xishape = 'smal_square';
				$xicount = 'no_count';
				break;
			case 'square':
				if($xiwidth == ''){
					$xiwidth = '70';
					}
				if($xiheight == ''){
					$xiheight = '60';
					}
				$xishape = 'square';
				$xicount = 'no_count';
				break;
			}
		}

	if($tf1 == 'yes'){
		switch($tflayout){
			case 'standard':
				$tfstr="";
				$tfstr2="false";
				if($tfwidth == ''){
					$tfwidth = '61';
					}
				if($tfheight == ''){
					$tfheight = '30';
					}
				break;		
			case 'show_name':
				$tfstr="";
				$tfstr2="true";
				if($tfwidth == ''){
					$tfwidth = '140';
					}
				if($tfheight == ''){
					$tfheight = '30';
					}
				break;		
			case 'large_standard':
				$tfstr="large";
				$tfstr2="false";
				if($tfwidth == ''){
					$tfwidth = '85';
					}
				if($tfheight == ''){
					$tfheight = '30';
					}
				break;		
			case 'large_show_name':
				$tfstr = "large";
				$tfstr2 = "true";
				if($tfwidth == ''){
					$tfwidth = '150';
					}
				if($tfheight == ''){
					$tfheight = '30';
					}
				break;		
			}
		}
		
	if($pi1 == 'yes'){
		if($pibtype == 'bookmarklet'){
			$pitype = 'none';
			}
		switch($pitype) {
			case 'vertical':
				if($piwidth == ''){
					$piwidth = '61';
					}
				if($piheight == ''){
					$piheight = '75';
					}
				break;
			case 'horizontal':
				if($piwidth == ''){
					$piwidth = '75';
					}
				if($piheight == ''){
					$piheight = '30';
					}
				break;
			case 'none':
				if($piwidth == ''){
					$piwidth = '70';
					}
				if($piheight == ''){
					$piheight = '30';
					}
				break;
			}
		}

	if($li1 == 'yes'){
		switch($lilayout) {
			case 'vertical':
				$listr="top";
				$margin_top = 3;
				if($liwidth == ''){
					$liwidth = '70';
					}
				if($liheight == ''){
					$liheight = '75';
					}
				break;
			case 'horizontal':
				$listr="right";
				if($liwidth == ''){
					$liwidth = '110';
					}
				if($liheight == ''){
					$liheight = '30';
					}
				break;
			case 'no_count':
				$listr="no_count";
				if($liwidth == ''){
					$liwidth = '70';
					}
				if($liheight == ''){
					$liheight = '30';
					}
				break;
			}
		}

	if($st1 == 'yes'){
		$ststr = $stlayout;
		switch($stlayout) {
			case '1':
				if($stwidth == ''){
					$stwidth = '85';
					}
				if($stheight == ''){
					$stheight = '30';
					}
				break;
			case '2':
				if($stwidth == ''){
					$stwidth = '75';
					}
				if($stheight == ''){
					$stheight = '30';
					}
				break;
			case '3':
				if($stwidth == ''){
					$stwidth = '57';
					}
				if($stheight == ''){
					$stheight = '30';
					}
				break;
			case '5':
				if($stwidth == ''){
					$stwidth = '61';
					}
				if($stheight == ''){
					$stheight = '75';
					}
				break;
			}
		}

	if($di1 == 'yes'){
		switch($dilayout) {
			case 'wide':
				$digstr='DiggWide';
				if($diwidth == ''){
					$diwidth = '120';
					}
				if($diheight == ''){
					$diheight = '50';
					}
				break;
			case 'medium':
				$digstr='DiggMedium';
				if($diwidth == ''){
					$diwidth = '61';
					}
				if($diheight == ''){
					$diheight = '75';
					}
				break;
			case 'compact':
				$digstr='DiggCompact';
				if($diwidth == ''){
					$diwidth = '80';
					}
				if($diheight == ''){
					$diheight = '30';
					}
				break;
			}
		}


	if($fb1 == 'yes'){
		switch($fblayout) {
			case 'standard':
				if($fbwidth == ''){
					$fbwidth = '450';
					}
				if($fbheight == ''){
					if($fbfaces == 'no'){
						$fbheight = '30';
							}else{
						$fbheight = '75';
						}
					}
				break;
			case 'button_count':
				if($fbwidth == ''){
					if($fboutput == 'iframe'){
						$fbwidth = '110';
					}else{
						if($fbsendbutton == 'true'){
							$fbwidth = '150';
						}else{
							$fbwidth = '110';
						}
					}
					}
				if($fbheight == ''){
					$fbheight = '30';
					}
				break;
			case 'box_count':
				if($fbwidth == ''){
					$fbwidth = '61';
					}
				if($fbheight == ''){
					if($fboutput == 'iframe'){
						$fbheight = '75';
					}else{
						if($fbsendbutton == 'true'){
							$fbheight = '100';
						}else{
							$fbheight = '75';
						}
					}
					}
				break;
			}
		}

	if($tw1 == 'yes'){
		switch($twlayout){
			case 'horizontal':
				if($twlarge == 'small'){
					if($twwidth == ''){
						$twwidth = '100';
						}
					if($twheight == ''){
						$twheight = '30';
						}
					}else{
					if($twwidth == ''){
						$twwidth = '120';
						}
					if($twheight == ''){
						$twheight = '30';
						}
					}
				break;		
			case 'vertical':
					if($twwidth == ''){
						$twwidth = '65';
						}
					if($twheight == ''){
						$twheight = '75';
						}
				break;		
			case 'none':
				if($twlarge == 'small'){
					if($twwidth == ''){
						$twwidth = '65';
						}
					if($twheight == ''){
						$twheight = '30';
						}
					}else{
					if($twwidth == ''){
						$twwidth = '85';
						}
					if($twheight == ''){
						$twheight = '30';
						}
					}
				break;		
			}
		}

	if($pi1 == 'yes'){
		switch($pitype) {
			case 'vertical':
				if($piwidth == ''){
					$piwidth = '61';
					}
				if($piheight == ''){
					$piheight = '75';
					}
				break;
			case 'horizontal':
				if($piwidth == ''){
					$piwidth = '70';
					}
				if($piheight == ''){
					$piheight = '30';
					}
				break;
			case 'none':
				if($piwidth == ''){
					$piwidth = '50';
					}
				if($piheight == ''){
					$piheight = '30';
					}
				break;
			}
		}

	if($go1 == 'yes'){
		switch($sizegoogle){
			case 'small':
				if($gowidth == ''){
					if($annotation == 'none'){
						$gowidth = '30';
						}
					if($annotation == 'bubble'){
						$gowidth = '60';
						}
					if($annotation == 'inline'){
						$gowidth = '250';
						}
					}
				if($goheight == ''){
					$goheight = '30';
					}
				break;
			case 'medium':
				if($gowidth == ''){
					if($annotation == 'none'){
						$gowidth = '40';
						}
					if($annotation == 'bubble'){
						$gowidth = '70';
						}
					if($annotation == 'inline'){
						$gowidth = '250';
						}
					}
				if($goheight == ''){
					$goheight = '30';
					}
				break;
			case 'standard':
				if($gowidth == ''){
					if($annotation == 'none'){
						$gowidth = '50';
						}
					if($annotation == 'bubble'){
						$gowidth = '80';
						}
					if($annotation == 'inline'){
						$gowidth = '250';
						}
					}
				if($goheight == ''){
					$goheight = '30';
					}
				break;
			case 'tall':
				if($gowidth == ''){
					if(($annotation == 'none') || ($annotation == 'bubble')){
						$gowidth = '61';
					}else{
						$gowidth = '250';
						}
					}
				if($goheight == ''){
					if(($annotation == 'none') || ($annotation == 'inline')){
						$goheight = '30';
					}else{
						$goheight = '75';
						}
					}
				break;
			}
		}		


	echo '<div class="shareit" style="' .$css. '">';
	
	for ($i = 1; $i <= 20; $i++) {

	if($go1 == 'yes' && $params->get('cbo1') == $i){
		if($gooutput == 'standard'){
			echo '<div style="'. $gocss.' z-index:1000; width:'. $gowidth .'px; height:'. $goheight .'px;" id="gogo">'. $gojs .'<g:plusone " size="'.$sizegoogle.'" annotation="'.$annotation.'" href="'.$gourl.'"></g:plusone></div>';
	}else{
			echo '<div style="'. $gocss.' z-index:1000; width:'. $gowidth .'px; height:'. $goheight .'px;" id="gogo">'. $gojs .'<div class="g-plusone" data-size="'.$sizegoogle.'" data-annotation="'.$annotation.'" data-width="'.$gowidth.'" data-href="'.$gourl.'"></div></div>';
		}
	}

	if($fb1 == 'yes' && $params->get('cbo2') == $i){
		if($fboutput == 'iframe'){
		echo '<div style="'. $fbcss .' z-index:1000;"><iframe src="http://www.facebook.com/plugins/like.php?locale='.$fblocale.'&amp;href='. rawurlencode($fburl) .'&amp;layout='.$fblayout.'&amp;show_faces='.$fbfaces.'&amp;action='.$fbverb.'&amp;colorscheme='.$fbcolor.'&amp;font='.$fbfont.'" scrolling="no" frameborder="0" style="height: '.$fbheight.'px; width: '.$fbwidth.'px; border:none; overflow:hidden;" allowTransparency="true"></iframe></div>';
		 }elseif($fboutput =='html5') {	
			echo '<div id="fb-root"></div>' . $fbjs;
			echo '<div style="'. $fbcss .' width: '.$fbwidth.'px; height :'.$fbheight.'px;" class="fb-like" data-layout="'. $fblayout .'" data-send="'. $fbsendbutton .'" data-width="'.$fbwidth.'" data-show-faces="'.$fbfaces.'" data-href="'.$fburl.'" data-font="'. $fbfont .'"></div>';
		}else{
			echo '<div id="fb-root"></div>' . $fbjs;
			echo '<div style="'. $fbcss .' width: '.$fbwidth.'px; height :'.$fbheight.'px;"><fb:like href="'.$fburl.'" send="'. $fbsendbutton .'" layout="'. $fblayout .'" width="'.$fbwidth.'" show-faces="'.$fbfaces.'" font="'. $fbfont .'"></fb:like></div>';			
		}
	}


	if($li1 == 'yes' && $params->get('cbo3') == $i){
		echo '<div style="'. $licss .' border: none; z-index:1000; width:'. $liwidth .'px; height:'. $liheight .'px;">';
		echo '<script type="text/javascript" src="http://platform.linkedin.com/in.js"></script><script type="IN/share" data-url="' . $liurl . '" data-counter="'.$listr.'"></script></div>';}


	if($tm1 == 'yes' && $params->get('cbo4') == $i){
		echo '<div style="'. $tmcss .' border: none; z-index:1000; width:'. $tmwidth .'px; height:'. $tmheight .'px;">';
		echo '<script type="text/javascript">';
		echo 'tweetmeme_url = "'.$tmurl.'";';
		echo 'tweetmeme_style = "'.$tmlayout.'";';
		echo '</script><script type="text/javascript" src="http://tweetmeme.com/i/scripts/button.js"></script>'; 
		echo '</div>';}


	if($tw1 == 'yes' && $params->get('cbo5') == $i){
		echo '<div style="'. $twcss .' z-index:1000; width:'. $twwidth .'px; height:'. $twheight .'px;">';
		echo $twjs . '<a href="https://twitter.com/share" class="twitter-share-button" style="width: '.$twwidth.'px;" data-lang="'.$twlang.'" data-url="'.$twurl.'" data-count="'.$twlayout.'" data-text="'.$title.'" data-hashtags="'.$twhashtag.'" data-related="'.$twuser.'" data-via="'.$twvia.'" data-size="'.$twlarge.'">Tweet</a></div>';}


	if($tf1 == 'yes' && $params->get('cbo6') == $i){
		echo '<div style="'. $tfcss .' z-index:1000; width:'. $tfwidth .'px; height:'. $tfheight .'px;">';
		echo $tfjs . '<a href="https://twitter.com/'.$tfuser.'" class="twitter-follow-button" data-show-count="false" data-size="'.$tfstr.'" data-show-screen-name="'.$tfstr2.'">Follow @'.$tfuser.'</a></div>';
	}

	if($di1 == 'yes' && $params->get('cbo7') == $i){
		echo '<div style="'. $dicss .' border: none; z-index:1000; width:'. $diwidth .'px; height:'. $diheight .'px;">';
		echo $dijs . '<a class="DiggThisButton '.$digstr.'" href="http://digg.com/submit?url='.urlencode($diurl).'&amp;title='.urlencode($dititle).'"></a></div>';}


	if($st1 == 'yes' && $params->get('cbo8') == $i){
		echo '<div style="'. $stcss .' border: none; z-index:1000; width:'. $stwidth .'px; height:'. $stheight .'px;">';
		echo '<script src="http://www.stumbleupon.com/hostedbadge.php?s='.$ststr.'&r='.$sturl.'"></script></div>';}


	if($re1 == 'yes' &&  $params->get('cbo9') == $i){
		if(($retype == 'button1') || ($retype == 'button2') || ($retype == 'button3')){
	switch ($retype) {
		case "button1":
			$spreddit = 'spreddit5';
			break;
		case "button2":
			$spreddit = 'spreddit6';
			break;
		case "button3":
			$spreddit = 'spreddit7';
			break;
		}

		echo '<div style="'. $recss .' z-index:1000; width:'. $rewidth .'px; height:'. $reheight .'px;">';
		echo '<a target="_blank" href="http://www.reddit.com/submit?url='. $reurl .'&amp;title='. $retitle .'"> <img src="http://www.reddit.com/static/'. $spreddit .'.gif" alt="submit to reddit" border="0" /> </a></div>';} else {
	switch ($retype) {
		case "button4":
			$spreddit = 'button1';
			break;
		case "button5":
			$spreddit = 'button2';
			break;
		case "button6":
			$spreddit = 'button3';
			break;
		}

		echo '<div style="'. $recss .' z-index:1000; width:'. $rewidth .'px; height:'. $reheight .'px;">';
		echo '<script type="text/javascript">reddit_url = "'. $reurl .'"; reddit_title = "'. $retitle .'"; reddit_bgcolor = "'. $rebgcolor .'"; reddit_bordercolor = "'. $rebordercol .'"; </script>';
		echo '<script type="text/javascript" src="http://www.reddit.com/static/button/'. $spreddit .'.js"></script></div>';}
	}


	if($pi1 == 'yes' && $params->get('cbo10') == $i){
		echo '<div style="'. $picss .' border: none; z-index:1000; width:'. $piwidth .'px; height:'. $piheight .'px;">';
		echo $pijs . $piposturl;
		echo '</div>';
	}
	

	if($bf1 == 'yes' && $params->get('cbo11') == $i){
		echo '<div style="'. $bfcss .' border: none; z-index:1000; width:'. $bfwidth .'px; height:'. $bfheight .'px;">';
		echo '<a href="http://bufferapp.com/add" class="buffer-add-button" data-text="'.$bftext.'" data-url="'.$bfurl.'" data-count="'.$bfstr.'" data-via="'.$bfuser.'">Buffer</a><script type="text/javascript" src="http://static.bufferapp.com/js/button.js"></script>';				echo '</div>';
	}


	if($xi1 == 'yes' && $params->get('cbo12') == $i){
		echo '<div style="'. $xicss .' border: none; z-index:1000; width:'. $xiwidth .'px; height:'. $xiheight .'px;">';
		echo '<script data-button-shape="'.$xishape.'" data-url="'.$xiurl.'" data-lang="'.$xilang.'" data-counter="'.$xicount.'" type="XING/Share"></script><script> ;(function(d, s) { var x = d.createElement(s), s = d.getElementsByTagName(s)[0]; x.src ="https://www.xing-share.com/js/external/share.js";
    s.parentNode.insertBefore(x, s); })(document, "script");
</script>';
		echo '</div>';
	}


	if($gs1 == 'yes' && $params->get('cbo13') == $i){
		if($gsoutput == 'standard') {
		echo '<div style="'. $gscss .' border: none; z-index:1000; width:'. $gswidth .'px; height:'. $gsheight .'px;">';
		echo $gsjs;
		echo '<g:plus action="share" width="'.$gswidth.'" height="'.$gsheight.'" annotation="'.$gs_annotation.'" href="'.$gsurl.'"></g:plus></div>';
	}else{
		echo '<div style="'. $gscss .' border: none; z-index:1000; width:'. $gswidth .'px; height:'. $gsheight .'px;">';
		echo $gsjs;
		echo '<div class="g-plus" data-action="share" data-annotation="'.$gs_annotation.'" data-href="'.$gsurl.'"></div></div>';
		}
	}

	if($gb1 == 'yes' && $params->get('cbo14') == $i){
		$gbwidth2 = intval($gbwidth) + 10;
		if($gbfeatures == 'icon') {
				echo '<a href="//plus.google.com/'.$gbpage.'?prsrc=3" rel="publisher" style="text-decoration:none;display:inline-block;color:#333;text-align:center; font:13px/16px arial,sans-serif;white-space:nowrap;">
<span style="display:inline-block;font-weight:bold;vertical-align:top;margin-right:5px; margin-top:0px;">'.$gbcustom.'</span><span style="display:inline-block;vertical-align:top;margin-right:13px; margin-top:0px;">on</span>
<img src="//ssl.gstatic.com/images/icons/gplus-'.$gbheight.'.png" alt="Google+" style="border:0;width:'.$gbheight.'px;height:'.$gbheight.'px;"/></a>';
		}else{
			if($gboutput == 'standard') {
				echo '<div style="'. $gbcss .' border: none; z-index:1000; width:'. $gbwidth2 .'px; height:'. $gbheight .'px;">';
				echo '<g:plus width="'.$gbwidth.'" height="'.$gbheight.'" href="//plus.google.com/' .$gbpage.'" rel="'.$gbpagetype.'" theme="'.$gbcolortheme.'"></g:plus></div>';
				echo $gbjs;
			}else{
				echo '<div style="'. $gbcss .' border: none; z-index:1000; width:'. $gbwidth2 .'px; height:'. $gbheight .'px;">';
				echo '<div class="g-plus" data-width="'.$gbwidth.'" data-height="'.$gbheight.'" data-href="//plus.google.com/' .$gbpage.'?rel=' .$gbpagetype. '" data-theme="'.$gbcolortheme.'"></div></div>';
				echo $gbjs;}}
			}

	if($gp1 == 'yes' && $params->get('cbo15') == $i){
		$gpwidth2 = intval($gpwidth) + 10;
		if($gpfeatures == 'icon') {
				echo '<a href="//plus.google.com/'.$gppage.'?prsrc=3" rel="publisher" style="text-decoration:none;display:inline-block;color:#333;text-align:center; font:13px/16px arial,sans-serif;white-space:nowrap;">
<span style="display:inline-block;font-weight:bold;vertical-align:top;margin-right:5px; margin-top:0px;">'.$gpcustom.'</span><span style="display:inline-block;vertical-align:top;margin-right:13px; margin-top:0px;">on</span>
<img src="//ssl.gstatic.com/images/icons/gplus-'.$gpheight.'.png" alt="Google+" style="border:0;width:'.$gpheight.'px;height:'.$gpheight.'px;"/></a>';
		}else{
			if($gpoutput == 'standard') {
				echo '<div style="'. $gpcss .' border: none; z-index:1000; width:'. $gpwidth2 .'px; height:'. $gpheight .'px;">';
				echo '<g:plus width="'.$gpwidth.'" height="'.$gpheight.'" href="//plus.google.com/' .$gppage.'" rel="'.$gppagetype.'" theme="'.$gpcolortheme.'"></g:plus></div>';
				echo $gpjs; 
			}else{
				echo '<div style="'. $gpcss .' border: none; z-index:1000; width:'. $gpwidth2 .'px; height:'. $gpheight .'px;">';
				echo '<div class="g-plus" data-width="'.$gpwidth.'" data-height="'.$gpheight.'" data-href="//plus.google.com/' .$gppage.'?rel=' .$gppagetype. '" data-theme="'.$gpcolortheme.'"></div></div>';
				echo $gpjs;}}
			}

	if($em1 == 'yes' && $params->get('cbo16') == $i){
		$imagemail =  JURI::root() . 'modules/mod_easylikeandshare/easyshareassets/' . $emimage;
		$emailpath =  JURI::root() . 'modules/mod_easylikeandshare/taf/index.php?tmpl=component&task=preview';
		echo '<div style="'. $emcss .' border: none; z-index:1000; width:'. $emwidth .'px; height:'. $emheight .'px;">';
		echo '<a href="'.$emailpath.'" class="modal" rel="{handler: &quot;iframe&quot;, size: {x: 600, y: 650}}"><img class="emailbut" src="'.$imagemail.'" alt="email this page" /></a></div>';
		}

	if($fs1 == 'yes' && $params->get('cbo17') == $i){
		echo '<div style="'. $fscss .' z-index:1000; width:'. $fswidth .'px; height:'. $fsheight .'px;" >';
		echo $fsjs . '<a name="fb_share" type="'.$fsstyle.'" share_url="'.$fsurl.'" href="http://www.facebook.com/sharer.php">Share</a>';
		echo '</div>';
		}

	if($ds1 == 'yes' && $params->get('cbo18') == $i){
		echo '<div style="'. $dscss .' z-index:1000; width:'. $dswidth .'px; height:'. $dsheight .'px;" >';
		echo $dsjs . '<a class="delicious-button" data-button="{
	button:&quot;'.$dsstyle.'&quot;
	,url:&quot;'.$dsurl.'&quot;
	,title:&quot;'.$dstitle.'&quot;
}">Save on Delicious</a>';
		echo '</div>';
		}

	if($fq1 == 'yes' && $params->get('cbo19') == $i){
		echo '<div style="'. $fqcss .' z-index:1000; width:'. $fqwidth .'px; height:'. $fqheight .'px;" >';
		echo '<a href="https://foursquare.com/intent/venue.html" class="fourSq-widget" data-variant="'.$fqstyle.'">Save to foursquare</a>';
		echo '</div>';
		echo $fqjs;
		}

	if($fl1 == 'yes' && $params->get('cbo20') == $i){
		echo '<div style="'. $flcss .' z-index:1000; width:'. $flwidth .'px; height:'. $flheight .'px;" >';
		echo '<a href="https://foursquare.com/user/'.$flid.'" class="fourSq-widget" data-type="like" data-fuid="'.$flid.'" data-variant="'.$fqstyle.'" data-user-name="'.$flname.'">Like us on foursquare</a>';
		echo '</div>';
		echo $fljs;
		}
	}

echo '</div>';
if ($params->get('support') == "yes"){
echo '<div style="clear: both; font-size: 8px;">By FB <a href="http://www.teambesharat.com" title="Kirkland Real Estate">Kirkland Real Estate</a></div>';
}
echo '<div style="clear: both;"></div>';

?>