<?php
/* * **************************************************************************************\
 * *   @name		EXP Autos  Pro                                                  **
 * *   @package          Joomla 1.6                                                      **
 * *   @author		EXP TEAM::Alexey Kurguz (Grusha)                                **
 * *   @copyright	Copyright (C) 2005 - 2013  EXP TEAM::Alexey Kurguz (Grusha)     **
 * *   @link             http://www.feellove.eu                                          **
 * *   @license		Commercial License                                              **
  \*************************************************************************************** */

//no direct access
defined('_JEXEC') or die;

$document = JFactory::getDocument();
$document->addStyleSheet(JURI::root() . 'modules/mod_expautospro_boocarousel/css/mod_expautospro_boocarousel.css');

$tmblink = ExpAutosProExpparams::ImgUrlPatchThumbs();
$middlelink = ExpAutosProExpparams::ImgUrlPatchMiddle();
$biglink = ExpAutosProExpparams::ImgUrlPatchBig();
$moduleid = $module->id;
if ($params->get('image_size',1)) {
    $img_size = $middlelink;
} else {
    $img_size = $biglink;
}
$block_width = null;
if($params->get('block_width', 0)){
    $block_width = 'width:'.$params->get('block_width', 0);
}
$ind = 0;
//print_r($expimages);
?>
<?php if ($expimages): ?>
<div id="expboogal<?php echo $moduleid ?>" class="carousel slide <?php echo $moduleclass_sfx; ?>" style="<?php echo $block_width;?>">
        <div class="carousel-inner">
            <?php
            foreach ($expimages as $key => $img):
                    $price = ExpAutosProExpparams::price_formatdata($img->price, 2);
                    $link = JRoute::_("index.php?option=com_expautospro&amp;view=expdetail&amp;id=" . $img->adid . "&amp;catid=" . $img->categid . "&amp;makeid=" . $img->mkid . "&amp;modelid=" . $img->mdid . "&amp;Itemid=" . $itemid);
                $active_cls = null;
                if (!$ind) {
                    $active_cls = 'active';
                }
                ?>
                <div class="<?php echo $active_cls; ?> item">
                    <img src="<?php echo $img_size . $img->img_name; ?>" alt="<?php echo $img->make_name; ?>&nbsp;<?php echo $img->model_name; ?>">
                        <div class="carousel-caption">
                            <h4>
                                <?php echo $img->make_name; ?>&nbsp;<?php echo $img->model_name; ?><?php if ($params->get('showyear') && $img->year): ?>&nbsp;<?php echo $img->year; ?><?php endif; ?>
                            </h4>
                            <p>
                               <?php echo $price; ?> 
                            </p>
                            <span class="expboogal_link pull-left">
                                <a class="btn btn-mini btn-primary" href="<?php echo $link; ?>" target="<?php echo $params->get('targetlink','_self'); ?>"><?php echo JText::_('MOD_EXPAUTOSPRO_BOOCAROUSEL_READMORE_TEXT'); ?> <i class="icon-chevron-right icon-white"></i></a>
                            </span>
                            <div class="expboogal_clear"></div>
                        </div>
                </div>
                <?php
                $ind++;
            endforeach;
            ?>
        </div>
        <a class="carousel-control left" href="#expboogal<?php echo $moduleid ?>" data-slide="prev">&lsaquo;</a>
        <a class="carousel-control right" href="#expboogal<?php echo $moduleid ?>" data-slide="next">&rsaquo;</a>
    </div>
<div class="expboogal_clear"></div>
<?php endif; ?>